function DRF(DRNf, drefLocalf)                  defineProperty(DRNf, globalPropertyf(drefLocalf))                                                   end
function CDRF(drefNamec, drefLocalc)            defineProperty(drefNamec, createGlobalPropertyf(drefLocalc))                                        end
function DRI(DRNi, drefLocali)                  defineProperty(DRNi, globalPropertyi(drefLocali))                                                   end
function CDRI(drefNamec, drefLocalc)            defineProperty(drefNamec, createGlobalPropertyi(drefLocalc))                                        end
function drs(drNames, drefLocalf)			    defineProperty(drNames, globalPropertys(drefLocalf))												end


knobRatchet1 = loadSample('sounds/KnobRatchet1.wav')
setSampleGain(knobRatchet1, 300)
setSamplePitch(knobRatchet1, 1200)


CDRI("scrollWh",                                                       "thranda/panels/scrollWh"                                                   )
CDRF("usescroll",      													"thranda/usescroll")
CDRF("mastervolknob",                                                  "com/dkmp/mastervolknob"                                               )                                     --

EPRIGNKY={} for i=0,8 do  EPRIGNKY[i] = globalPropertyi("sim/cockpit2/engine/actuators/ignition_key[".. i .."]")                                   end                       --int[8]	y	enum	0 = off, 1 = left, 2 = right, 3 = both, 4 = starting
EGMIX={} for i=0,8 do        EGMIX[i] = globalPropertyf("sim/cockpit2/engine/actuators/mixture_ratio[".. i .."]")                                  end                       --float[8]	y	ratio             	Mixture handle position, 0.0 (cutoff) to 1.0 (full rich).
EGRSR={} for i=0,8 do    	 EGRSR[i] = globalPropertyf("sim/cockpit2/engine/actuators/prop_rotation_speed_rad_sec[".. i .."]")                         end                       --float[8]	n	radians/second	Radians per second rotation speed of the prop.
EGATR={} for i=0,8 do        EGATR[i] = globalPropertyf("sim/cockpit2/engine/actuators/throttle_ratio[".. i .."]")                                 end                       --float[8]	y	ratio             	Throttle position of the handle itself, from 0.0 (idle) to 1.0 (max normal).
GLS={} for i=0,64 do           GLS[i] = globalPropertyf("sim/cockpit2/switches/generic_lights_switch[".. i .."]")                                  end                       --float[64]	y	ratio	Switch, 0 is off, 0.5 is half-intensity, etc. for any of the generic lights.
SCSBR={} for i=0,4 do        SCSBR[i] = globalPropertyf("sim/cockpit2/switches/panel_brightness_ratio[".. i .."]")                                 end                       --float[4]	y	ratio	Rheostat controlling panel brightness.  0 = flood, 1-3 = spot lights.
IBR={}    for i=0,16 do         IBR[i] = globalPropertyf("sim/cockpit2/switches/instrument_brightness_ratio[".. i .."]")                           end                       --float[16]	y	ratio	Rheostat controlling instruments brightnesss.  0 = default pilot, 1 = default copilot, 2-15 = custom


DRF("mwing20_spo2def",                                  "sim/flightmodel/controls/mwing20_spo2def"                                                 )                         --float	y	degrees	Deflection Misc Wing 20 Spoiler 2
DRF("art_hor_adj",           "sim/cockpit2/gauges/actuators/artificial_horizon_adjust_deg_pilot"                        						   )                         --float	y	degrees	Artifical horizon pitch-reference adjustement. Pilot side.
DRF("C2_hsi_obs_deg_mag_pilot",                         "sim/cockpit2/radios/actuators/hsi_obs_deg_mag_pilot"                                      )                         --float	y	degrees_magnetic	HSI OBS (pilot side) selection, in degrees magnetic.
DRF("C2_heading_dial_deg_mag_pilot",                    "sim/cockpit2/autopilot/heading_dial_deg_mag_pilot"                                        )                         --float	y	degrees_magnetic	Heading hold commanded, in degrees magnetic.
DRF("C2_barometer_setting_in_hg_pilot",                 "sim/cockpit2/gauges/actuators/barometer_setting_in_hg_pilot"                              )                         --float	y	inches_hg	Barometric pressure setting, inches HG.  Pilot side.
DRF("C2_nav1_obs_deg_mag_pilot",                        "sim/cockpit2/radios/actuators/nav1_obs_deg_mag_pilot"                                     )                         --float	y	degrees_magnetic	OBS 2 (pilot isde) selection, in degrees magnetic.
DRF("C2_nav2_obs_deg_mag_pilot",                        "sim/cockpit2/radios/actuators/nav2_obs_deg_mag_pilot"                                     )                         --float	y	degrees_magnetic	OBS 2 (pilot isde) selection, in degrees magnetic.
DRF("C2_adf1_card_heading_deg_mag_pilot",               "sim/cockpit2/radios/actuators/adf1_card_heading_deg_mag_pilot"                            )                         --float	y	degrees_magnetic	CARD selection for ADF 1, pilot side, in degrees magnetic.
DRF("C2_throttle_ratio_all",                            "sim/cockpit2/engine/actuators/throttle_ratio_all"                                         )                         --float	y	ratio	Throttle position of the handle itself - this controls all the handles at once.
DRF("C2_prop_ratio_all",               "sim/cockpit2/engine/actuators/prop_rotation_speed_rad_sec_all"                            				   )                         --float	y	radians/second	Prop handle position, this controls all props at once.
DRF("C2_mixture_ratio_all",                             "sim/cockpit2/engine/actuators/mixture_ratio_all"                                          )                         --float	y	ratio	Mixture handle position, this controls all at once.
DRF("C2_altitude_dial_ft",                              "sim/cockpit2/autopilot/altitude_dial_ft"                                                  )                         --float	y	feet	VVI commanded in FPM.
DRI("C2_transponder_mode",                              "sim/cockpit2/radios/actuators/transponder_mode"                                           )                         --int	y	enum	Transponder mode (off=0,stdby=1,on=2,test=3)
DRF("F2_elevator_trim",                                 "sim/flightmodel2/controls/elevator_trim"                                                  )                         --float	y	ratio	Elevator trim, in part of MAX FLIGHT CONTROL DEFLECTION. So, if the elevator trim is deflected enough to move the elevators through 30% of their travel, then that is an elevator trim of 0.3.
DRI("C2_audio_selection_com1",                          "sim/cockpit2/radios/actuators/audio_selection_com1"                                       )                         --int	y	boolean	is com1 selected for listening
DRI("C2_audio_selection_com2",                          "sim/cockpit2/radios/actuators/audio_selection_com2"                                       )                         --int	y	boolean	is com2 selected for listening
DRI("audio_panel_out",                                  "sim/cockpit/switches/audio_panel_out"                                                     )                         --int	y	???	Settings for the com radio audio panel. 6=com1,7=com2

FCptu = findCommand("sim/flight_controls/pitch_trim_up") 
FCptd = findCommand("sim/flight_controls/pitch_trim_down") 

com1DN = findCommand("sim/radios/actv_com1_coarse_down")
com1UP = findCommand("sim/radios/actv_com1_coarse_up")
com1dn = findCommand("sim/radios/actv_com1_fine_down")
com1up = findCommand("sim/radios/actv_com1_fine_up")
nav1DN = findCommand("sim/radios/actv_nav1_coarse_down")
nav1UP = findCommand("sim/radios/actv_nav1_coarse_up")
nav1dn = findCommand("sim/radios/actv_nav1_fine_down")
nav1up = findCommand("sim/radios/actv_nav1_fine_up")

com2DN = findCommand("sim/radios/actv_com2_coarse_down")
com2UP = findCommand("sim/radios/actv_com2_coarse_up")
com2dn = findCommand("sim/radios/actv_com2_fine_down")
com2up = findCommand("sim/radios/actv_com2_fine_up")
nav2DN = findCommand("sim/radios/actv_nav2_coarse_down")
nav2UP = findCommand("sim/radios/actv_nav2_coarse_up")
nav2dn = findCommand("sim/radios/actv_nav2_fine_down")
nav2up = findCommand("sim/radios/actv_nav2_fine_up")


Adf1hd = findCommand("sim/radios/actv_adf1_hundreds_down") 
Adf1hu = findCommand("sim/radios/actv_adf1_hundreds_up") 
Adf1td = findCommand("sim/radios/actv_adf1_tens_down") 
Adf1tu = findCommand("sim/radios/actv_adf1_tens_up") 
Adf1od = findCommand("sim/radios/actv_adf1_ones_down") 
Adf1ou = findCommand("sim/radios/actv_adf1_ones_up") 
    

TimeUpL = findCommand("sim/operation/time_up_lots")
TimeDnL = findCommand("sim/operation/time_down_lots")

TimeUp = findCommand("sim/operation/time_up")
TimeDn = findCommand("sim/operation/time_down")

MagUp = findCommand("sim/magnetos/magnetos_up_1")
MagDn = findCommand("sim/magnetos/magnetos_down_1")

OBSUp = findCommand("sim/radios/obs_HSI_up")
OBSDn = findCommand("sim/radios/obs_HSI_down")

GearUp = findCommand("sim/flight_controls/landing_gear_up")
GearDn = findCommand("sim/flight_controls/landing_gear_down")


ThrUp = findCommand("sim/engines/throttle_up_1")
ThrDn = findCommand("sim/engines/throttle_down_1")

flapUp = findCommand("sim/flight_controls/flaps_up")
flapDn = findCommand("sim/flight_controls/flaps_down")

APUp = findCommand("sim/autopilot/altitude_up")
APDn = findCommand("sim/autopilot/altitude_down")

ThDn = findCommand("sim/transponder/transponder_thousands_down")
ThUp = findCommand("sim/transponder/transponder_thousands_up")
HnDn = findCommand("sim/transponder/transponder_hundreds_down")
HnUp = findCommand("sim/transponder/transponder_hundreds_up")
TnDn = findCommand("sim/transponder/transponder_tens_down")
TnUp = findCommand("sim/transponder/transponder_tens_up")
OnDn = findCommand("sim/transponder/transponder_ones_down")
OnUp = findCommand("sim/transponder/transponder_ones_up")


G4DN = findCommand("sim/GPS/g430n1_coarse_down")
G4UP = findCommand("sim/GPS/g430n1_coarse_up")
G4dn = findCommand("sim/GPS/g430n1_fine_down")
G4up = findCommand("sim/GPS/g430n1_fine_up")

G4SDN = findCommand("sim/GPS/g430n1_page_dn")
G4SUP = findCommand("sim/GPS/g430n1_page_up")       
G4Sdn = findCommand("sim/GPS/g430n1_chapter_dn")   
G4Sup = findCommand("sim/GPS/g430n1_chapter_up")

n1zo = findCommand("sim/GPS/g430n1_zoom_out") 
n1zi = findCommand("sim/GPS/g430n1_zoom_in") 

scroll=         {} scroll_last = {}         for i = 0, 512 do	   scroll[i] =           globalPropertyf("thranda/scrollindex[".. (i) .."]")             		scroll_last[i] = get(scroll[i])         end
panel=          {} panel_last = {}          for i = 0, 512 do	   panel[i] =            globalPropertyf("thranda/panelindex[".. (i) .."]")              		panel_last[i] = get(panel[i])           end


set(usescroll, 1)
set(scrollWh, 1)
function update()

	if get(C2_audio_selection_com1) == 1 and get(C2_audio_selection_com2) == 0 then set(audio_panel_out, 6) 
elseif get(C2_audio_selection_com1) == 0 and get(C2_audio_selection_com2) == 1 then set(audio_panel_out, 7)  
elseif get(C2_audio_selection_com1) == 1 and get(C2_audio_selection_com2) == 1 and get(audio_panel_out) == 7 then set(audio_panel_out, 6)  end

	for i = 0, 512 do

		if scroll_last[i] ~= get(scroll[i]) then
	playSample(knobRatchet1, 0)
	
					if get(scroll[0]) >  0 then  commandOnce(TimeUpL) 
    			elseif get(scroll[0]) <  0 then  commandOnce(TimeDnL) 
				end	
						
				set(dg_drift_vac_deg, math.max(-180, math.min(180, 		get(dg_drift_vac_deg) 	+ 					(get(scroll[2])*1))))   

				set(nav1_obs_degm, get(nav1_obs_degm) 	+ (get(scroll[3])*1))
				set(C2_adf1_card_heading_deg_mag_pilot, get(C2_adf1_card_heading_deg_mag_pilot) 	+ (get(scroll[4])*1))

				set(art_hor_adj, math.max(-1, math.min(1, 		get(art_hor_adj) 	+ 					(get(scroll[5])*0.05))))   

				set(C2_barometer_setting_in_hg_pilot, math.max(28, math.min(32, 	get(C2_barometer_setting_in_hg_pilot) + (get(scroll[6])*0.01))))   
				
				
				
				set(IBR[1], math.max(0, math.min(1, 	get(IBR[1]) + (get(scroll[7])*0.1))))   
				set(IBR[0], math.max(0, math.min(1, 	get(IBR[0]) + (get(scroll[8])*0.1))))   

				set(EGCBH[0], math.max(0, math.min(1, 	get(EGCBH[0]) + (get(scroll[9])*-0.1))))   



				set(F2_elevator_trim, math.max(-1, math.min(1, 		get(F2_elevator_trim) 	+ 								(-get(scroll[10])*0.01))))   
				
				set(EGATR[0], math.max(0, math.min(1, 		get(EGATR[0]) 	+ 								(get(scroll[11])*0.05))))   
				set(EGMIX[0], math.max(0, math.min(1, 		get(EGMIX[0]) 	+ 								(get(scroll[12])*0.05))))   

				--set(C2_flap_ratio, math.max(0, math.min(1, 		get(C2_flap_ratio) 	+ 								(get(scroll[13])*-0.01))))   
				if get(scroll[13]) > 1 then commandOnce(flapUp) elseif get(scroll[13]) < -1 then commandOnce(flapDn) end			

				set(mastervolknob, math.max(0, math.min(1.6, 		get(mastervolknob) 	+ 							(get(scroll[14])*0.05))))   

				if get(scroll[15]) > 0 then commandOnce(com1UP) elseif get(scroll[15]) < 0 then commandOnce(com1DN) end			
				if get(scroll[16]) > 0 then commandOnce(com1up) elseif get(scroll[16]) < 0 then commandOnce(com1dn) end		

				if get(scroll[18]) > 0 then commandOnce(nav1UP) elseif get(scroll[18]) < 0 then commandOnce(nav1DN) end			
				if get(scroll[19]) > 0 then commandOnce(nav1up) elseif get(scroll[19]) < 0 then commandOnce(nav1dn) end		
				
				if get(scroll[20]) > 0 then commandOnce(Adf1hu) elseif get(scroll[20]) < 0 then commandOnce(Adf1hd) end			
				if get(scroll[21]) > 0 then commandOnce(Adf1tu) elseif get(scroll[21]) < 0 then commandOnce(Adf1td) end			
				if get(scroll[22]) > 0 then commandOnce(Adf1ou) elseif get(scroll[22]) < 0 then commandOnce(Adf1od) end	


				if get(scroll[23]) > 0 then commandOnce(ThUp) elseif get(scroll[23]) < 0 then commandOnce(ThDn) end			
				if get(scroll[24]) > 0 then commandOnce(HnUp) elseif get(scroll[24]) < 0 then commandOnce(HnDn) end			
				if get(scroll[25]) > 0 then commandOnce(TnUp) elseif get(scroll[25]) < 0 then commandOnce(TnDn) end			
				if get(scroll[26]) > 0 then commandOnce(OnUp) elseif get(scroll[26]) < 0 then commandOnce(OnDn) end	
				set(C2_transponder_mode, math.max(0, math.min(4, 		get(C2_transponder_mode) 	+ 								(get(scroll[27])))))   

				
				set(mastervolknob, math.max(0, math.min(1.6, 		get(mastervolknob) 	+ 							(get(scroll[28])*0.05))))   
				
				
		





		
				
				

		end


	end
			




end




