defineProperty("SimVersion", globalPropertyi("sim/aircraft/overflow/acf_has_radar"))
defineProperty("SimV", globalPropertyi("com/dkmp/SimV"))

flipCom1 = findCommand("sim/radios/com1_standy_flip") 
SCDCom1 = findCommand("sim/radios/actv_com1_coarse_down") 
SCUCom1 = findCommand("sim/radios/actv_com1_coarse_up") 
SFDCom1 = findCommand("sim/radios/actv_com1_fine_down") 
SFUCom1 = findCommand("sim/radios/actv_com1_fine_up") 

SCDCom2 = findCommand("sim/radios/actv_com2_coarse_down") 
SCUCom2 = findCommand("sim/radios/actv_com2_coarse_up") 
SFDCom2 = findCommand("sim/radios/actv_com2_fine_down") 
SFUCom2 = findCommand("sim/radios/actv_com2_fine_up") 

SCDNav1 = findCommand("sim/radios/actv_nav1_coarse_down") 
SCUNav1 = findCommand("sim/radios/actv_nav1_coarse_up") 
SFDNav1 = findCommand("sim/radios/actv_nav1_fine_down") 
SFUNav1 = findCommand("sim/radios/actv_nav1_fine_up") 

SCDNav2 = findCommand("sim/radios/actv_nav2_coarse_down") 
SCUNav2 = findCommand("sim/radios/actv_nav2_coarse_up") 
SFDNav2 = findCommand("sim/radios/actv_nav2_fine_down") 
SFUNav2 = findCommand("sim/radios/actv_nav2_fine_up") 


defineProperty("generic_lights_switch_0", globalPropertyf("sim/cockpit2/switches/generic_lights_switch[0]"))
defineProperty("beacon_brightness", globalPropertyf("sim/flightmodel2/lights/beacon_brightness_ratio[0]"))

defineProperty("dg_drift", globalPropertyf("sim/cockpit/gyros/dg_drift_vac_deg"))

defineProperty("FloatL", globalPropertyi("sim/aircraft/prop/acf_part_eq[58]"))
defineProperty("FloatR", globalPropertyi("sim/aircraft/prop/acf_part_eq[57]"))
defineProperty("Pod", globalPropertyi("sim/aircraft/prop/acf_part_eq[59]"))

defineProperty("GearType1", globalPropertyi("sim/aircraft/parts/acf_gear_type[0]"))
defineProperty("GearType2", globalPropertyi("sim/aircraft/parts/acf_gear_type[1]"))
defineProperty("GearType3", globalPropertyi("sim/aircraft/parts/acf_gear_type[2]"))
defineProperty("GearType4", globalPropertyi("sim/aircraft/parts/acf_gear_type[3]"))
defineProperty("GearType5", globalPropertyi("sim/aircraft/parts/acf_gear_type[4]"))
defineProperty("GearType6", globalPropertyi("sim/aircraft/parts/acf_gear_type[5]"))
defineProperty("GearType7", globalPropertyi("sim/aircraft/parts/acf_gear_type[6]"))
defineProperty("GearType8", globalPropertyi("sim/aircraft/parts/acf_gear_type[7]"))
defineProperty("GearType9", globalPropertyi("sim/aircraft/parts/acf_gear_type[8]"))
defineProperty("GearType10", globalPropertyi("sim/aircraft/parts/acf_gear_type[9]"))



--Toe Brakes
defineProperty("ToeBrakeL", globalPropertyf("sim/cockpit2/controls/left_brake_ratio"))
defineProperty("ToeBrakeR", globalPropertyf("sim/cockpit2/controls/right_brake_ratio"))
defineProperty("Rudder", globalPropertyf("sim/cockpit2/controls/yoke_heading_ratio"))

defineProperty("WaterRudder", globalPropertyf("sim/cockpit2/controls/water_rudder_handle_ratio"))

defineProperty("Waves", globalPropertyf("sim/weather/wave_amplitude"))



defineProperty("TireRadiusL", globalPropertyf("sim/aircraft/parts/acf_gear_tirrad[1]"))
defineProperty("TireRadiusR", globalPropertyf("sim/aircraft/parts/acf_gear_tirrad[2]"))
defineProperty("Tundra", globalPropertyi("com/dkmp/Tundra"))
defineProperty("Ski", globalPropertyi("com/dkmp/Ski"))
defineProperty("DoorWindow", globalPropertyi("com/dkmp/DoorWindow"))
defineProperty("CargoPod", globalPropertyi("com/dkmp/CargoPod"))
defineProperty("PanelMode", globalPropertyi("com/dkmp/PanelMode"))
defineProperty("Fairings", globalPropertyi("com/dkmp/Fairings"))

defineProperty("Float", globalPropertyi("com/dkmp/Float"))
defineProperty("Amphib", globalPropertyi("com/dkmp/Amphib"))

defineProperty("Retract", globalPropertyi("sim/aircraft/gear/acf_gear_retract"))

defineProperty("TWLWR", globalPropertyf("com/dkmp/TWLWR"))

defineProperty("snap", globalPropertyi("com/dkmp/snap"))

defineProperty("RotXFL", globalPropertyf("com/dkmp/RotXFL"))
defineProperty("RotYFL", globalPropertyf("com/dkmp/RotYFL"))
defineProperty("BungeeFL", globalPropertyf("com/dkmp/BungeeFL"))

defineProperty("RotXRL", globalPropertyf("com/dkmp/RotXRL"))
defineProperty("RotYRL", globalPropertyf("com/dkmp/RotYRL"))
defineProperty("BungeeRL", globalPropertyf("com/dkmp/BungeeRL"))
defineProperty("CableL", globalPropertyf("com/dkmp/CableL"))

defineProperty("GearDeployL", globalPropertyf("sim/flightmodel2/gear/deploy_ratio[2]"))
defineProperty("SkiDeployL", globalPropertyf("sim/flightmodel2/gear/deploy_ratio[7]"))

defineProperty("DeflSkiL", globalPropertyf("sim/flightmodel2/gear/tire_vertical_deflection_mtr[7]"))
defineProperty("DeflWheelL", globalPropertyf("sim/flightmodel2/gear/tire_vertical_deflection_mtr[2]"))



defineProperty("RotXFR", globalPropertyf("com/dkmp/RotXFR"))
defineProperty("RotYFR", globalPropertyf("com/dkmp/RotYFR"))
defineProperty("BungeeFR", globalPropertyf("com/dkmp/BungeeFR"))

defineProperty("RotXRR", globalPropertyf("com/dkmp/RotXRR"))
defineProperty("RotYRR", globalPropertyf("com/dkmp/RotYRR"))
defineProperty("BungeeRR", globalPropertyf("com/dkmp/BungeeRR"))
defineProperty("CableR", globalPropertyf("com/dkmp/CableR"))

defineProperty("GearDeployR", globalPropertyf("sim/flightmodel2/gear/deploy_ratio[1]"))
defineProperty("SkiDeployR", globalPropertyf("sim/flightmodel2/gear/deploy_ratio[6]"))


defineProperty("DeflSkiR", globalPropertyf("sim/flightmodel2/gear/tire_vertical_deflection_mtr[6]"))
defineProperty("DeflWheelR", globalPropertyf("sim/flightmodel2/gear/tire_vertical_deflection_mtr[1]"))

defineProperty("DeflForceF", globalPropertyf("sim/flightmodel2/gear/tire_vertical_force_n_mtr[0]"))




defineProperty("LiveryIndex", globalPropertyi("sim/aircraft/view/acf_livery_index"))


-- power avialability

defineProperty("LeftLandLight", globalPropertyf("sim/flightmodel2/lights/landing_lights_brightness_ratio[0]"))
defineProperty("RightLandLight", globalPropertyf("sim/flightmodel2/lights/landing_lights_brightness_ratio[1]"))
defineProperty("TaxiLight", globalPropertyf("sim/flightmodel2/lights/taxi_lights_brightness_ratio[0]"))

defineProperty("viewHDG", globalPropertyf("sim/graphics/view/view_heading"))
defineProperty("acfyaw", globalPropertyf("sim/flightmodel/position/psi"))

defineProperty("viewPitch", globalPropertyf("sim/graphics/view/view_pitch"))
defineProperty("acfpitch", globalPropertyf("sim/flightmodel/position/alpha"))
defineProperty("steering", globalPropertyf("sim/flightmodel2/gear/tire_steer_actual_deg[0]"))
defineProperty("retract", globalPropertyf("sim/flightmodel2/gear/deploy_ratio[0]"))

defineProperty("FlapTransition", globalPropertyf("com/dkmp/FlapTransition"))
defineProperty("Flap", globalPropertyf("sim/flightmodel2/wing/flap1_deg[0]"))


defineProperty("static", globalPropertyi("com/dkmp/staticelements"))

defineProperty("SoundDir", globalPropertyf("com/dkmp/SoundDir"))

defineProperty("SoundFB", globalPropertyf("com/dkmp/SoundFB"))
defineProperty("SoundLR", globalPropertyf("com/dkmp/SoundLR"))

defineProperty("gauge_power", globalPropertyi("com/custom/xap/gauge_power_avail"))
defineProperty("battery_on", globalPropertyi("sim/cockpit2/electrical/battery_on[0]"))  -- ON/OFF main battery
defineProperty("battery_volts", globalPropertyf("sim/cockpit2/electrical/battery_voltage_actual_volts[0]"))  -- APU N1
defineProperty("left_gen_amp", globalPropertyf("sim/cockpit2/electrical/generator_amps[0]"))  -- APU generator ampers
defineProperty("right_gen_amp", globalPropertyf("sim/cockpit2/electrical/generator_amps[1]"))  -- APU generator ampers
defineProperty("avionics", globalPropertyi("sim/cockpit2/switches/avionics_power_on"))  -- avionics switcher (TP156)
defineProperty("ignitionL", globalPropertyf("sim/cockpit2/engine/actuators/ignition_key[0]"))
defineProperty("ignitionR", globalPropertyf("sim/cockpit2/engine/actuators/ignition_key[1]"))

defineProperty("EGTL1", globalPropertyf("com/dkmp/EGTL1"))
defineProperty("EGTL2", globalPropertyf("com/dkmp/EGTL2"))
defineProperty("EGTL3", globalPropertyf("com/dkmp/EGTL3"))
defineProperty("EGTL4", globalPropertyf("com/dkmp/EGTL4"))
defineProperty("EGTL5", globalPropertyf("com/dkmp/EGTL5"))
defineProperty("EGTL6", globalPropertyf("com/dkmp/EGTL6"))

defineProperty("EGTR1", globalPropertyf("com/dkmp/EGTR1"))
defineProperty("EGTR2", globalPropertyf("com/dkmp/EGTR2"))
defineProperty("EGTR3", globalPropertyf("com/dkmp/EGTR3"))
defineProperty("EGTR4", globalPropertyf("com/dkmp/EGTR4"))
defineProperty("EGTR5", globalPropertyf("com/dkmp/EGTR5"))
defineProperty("EGTR6", globalPropertyf("com/dkmp/EGTR6"))

defineProperty("EGTPeakL", globalPropertyf("com/dkmp/EGTPeakL"))
defineProperty("EGTPeakR", globalPropertyf("com/dkmp/EGTPeakR"))


defineProperty("vvi", globalPropertyf("sim/cockpit2/autopilot/alt_vvi_is_showing_vvi"))
defineProperty("vvistatus", globalPropertyf("sim/cockpit2/autopilot/vvi_status"))
defineProperty("VVIhide", globalPropertyf("com/dkmp/VVIhide"))
defineProperty("fpm", globalPropertyf("sim/cockpit2/gauges/indicators/vvi_fpm_pilot"))
defineProperty("vvifpm", globalPropertyf("sim/cockpit2/autopilot/vvi_dial_fpm"))

defineProperty("sync_pitch", globalPropertyf("sim/cockpit2/autopilot/sync_hold_pitch_deg"))

defineProperty("altitude_dial_ft", globalPropertyf("sim/cockpit2/autopilot/altitude_dial_ft"))


defineProperty("altitude_dial_skip", globalPropertyf("com/dkmp/altitude_dial_ft"))

defineProperty("altitude_ft", globalPropertyf("sim/cockpit2/gauges/indicators/altitude_ft_pilot"))

defineProperty("alert", globalPropertyf("com/dkmp/alert"))

defineProperty("fuel_total", globalPropertyf("sim/flightmodel/weight/m_fuel_total"))
defineProperty("fuelL", globalPropertyf("sim/flightmodel/weight/m_fuel1"))
defineProperty("fuelR", globalPropertyf("sim/flightmodel/weight/m_fuel2"))



defineProperty("vacuum", globalPropertyf("sim/cockpit/misc/vacuum"))


defineProperty("kts", globalPropertyf("sim/cockpit2/gauges/indicators/airspeed_kts_pilot"))

defineProperty("fuel_quantity_0", globalPropertyf("sim/cockpit2/fuel/fuel_quantity[0]"))
defineProperty("fuel_quantity_1", globalPropertyf("sim/cockpit2/fuel/fuel_quantity[1]"))
defineProperty("CHT_0", globalPropertyf("sim/cockpit2/engine/indicators/CHT_deg_C[0]"))
defineProperty("CHT_1", globalPropertyf("sim/cockpit2/engine/indicators/CHT_deg_C[1]"))
defineProperty("OilTemp_0", globalPropertyf("sim/cockpit2/engine/indicators/oil_temperature_deg_C[0]"))
defineProperty("OilTemp_1", globalPropertyf("sim/cockpit2/engine/indicators/oil_temperature_deg_C[1]"))
defineProperty("OilPress_0", globalPropertyf("sim/cockpit2/engine/indicators/oil_pressure_psi[0]"))
defineProperty("OilPress_1", globalPropertyf("sim/cockpit2/engine/indicators/oil_pressure_psi[1]"))

defineProperty("bus_load_amps", globalPropertyf("sim/cockpit2/electrical/bus_load_amps"))  -- APU generator ampers

defineProperty("ADF1_relative_bearing", globalPropertyf("sim/cockpit2/radios/indicators/adf1_relative_bearing_deg"))

defineProperty("suction1", globalPropertyf("sim/cockpit2/gauges/indicators/suction_1_ratio"))
defineProperty("suction2", globalPropertyf("sim/cockpit2/gauges/indicators/suction_2_ratio"))

defineProperty("ice_prop_heat_on", globalPropertyf("sim/cockpit2/ice/ice_prop_heat_on"))
defineProperty("ice_pitot_heat_on", globalPropertyf("sim/cockpit/switches/pitot_heat_on"))
defineProperty("ice_inlet_heat_on", globalPropertyf("sim/cockpit2/ice/ice_inlet_heat_on"))
defineProperty("ice_AOA_heat_on", globalPropertyf("sim/cockpit2/ice/ice_AOA_heat_on"))
defineProperty("ice_prop_heat", globalPropertyf("sim/cockpit/switches/anti_ice_prop_heat"))
defineProperty("ice_window_heat", globalPropertyf("sim/cockpit2/ice/ice_window_heat_on"))
defineProperty("ice_surface_boot_on", globalPropertyf("sim/cockpit2/ice/ice_surface_boot_on"))
defineProperty("ice_all_on", globalPropertyf("sim/cockpit2/ice/ice_all_on"))




--gear lamps
defineProperty("GearRatio_0", globalPropertyf("sim/flightmodel2/gear/deploy_ratio[0]"))
defineProperty("GearRatio_1", globalPropertyf("sim/flightmodel2/gear/deploy_ratio[1]"))
defineProperty("GearRatio_2", globalPropertyf("sim/flightmodel2/gear/deploy_ratio[2]"))

defineProperty("NoseGear", 	globalPropertyi("com/dkmp/NoseGear"))
defineProperty("LeftGear", 	globalPropertyi("com/dkmp/LeftGear"))
defineProperty("RightGear", 	globalPropertyi("com/dkmp/RightGear"))

defineProperty("GNS430", 	globalPropertyi("com/dkmp/GNS430"))

defineProperty("Destination", 	globalPropertyf("sim/cockpit2/radios/indicators/gps_dme_distance_nm"))

--Needles to zero at shutdown
defineProperty("altAmpsL", 	globalPropertyf("com/dkmp/altAmpsL"))
defineProperty("altAmpsR", 	globalPropertyf("com/dkmp/altAmpsR"))
defineProperty("CHTL", 		globalPropertyf("com/dkmp/CHTL"))
defineProperty("CHTR", 		globalPropertyf("com/dkmp/CHTR"))
defineProperty("OilTempL", 	globalPropertyf("com/dkmp/OilTempL"))
defineProperty("OilTempR", 	globalPropertyf("com/dkmp/OilTempR"))
defineProperty("OilPressL", globalPropertyf("com/dkmp/OilPressL"))
defineProperty("OilPressR", globalPropertyf("com/dkmp/OilPressR"))
defineProperty("FuelL", 	globalPropertyf("com/dkmp/FuelL"))
defineProperty("FuelR", 	globalPropertyf("com/dkmp/FuelR"))
defineProperty("ADF1", 	globalPropertyf("com/dkmp/ADF1"))


defineProperty("DeIcePressure", 	globalPropertyf("com/dkmp/DeIcePressure"))
defineProperty("propAmps", 	globalPropertyf("com/dkmp/propAmps"))

defineProperty("audiocom1", 	globalPropertyf("sim/cockpit2/radios/actuators/audio_selection_com1"))
defineProperty("audiocom2", 	globalPropertyf("sim/cockpit2/radios/actuators/audio_selection_com2"))

defineProperty("audionav1", 	globalPropertyf("sim/cockpit2/radios/actuators/audio_selection_nav1"))
defineProperty("audionav2", 	globalPropertyf("sim/cockpit2/radios/actuators/audio_selection_nav2"))

defineProperty("audiodme", 	globalPropertyf("sim/cockpit2/radios/actuators/audio_dme_enabled"))
defineProperty("audiomarker", 	globalPropertyf("sim/cockpit2/radios/actuators/audio_marker_enabled"))
defineProperty("audioadf", 	globalPropertyf("sim/cockpit2/radios/actuators/audio_selection_adf1"))

defineProperty("audioAX", 	globalPropertyf("sim/cockpit2/switches/generic_lights_switch[60]"))
defineProperty("audioS", 	globalPropertyf("sim/cockpit2/switches/generic_lights_switch[61]"))


--single-engine flight rudder deflection
defineProperty("RudLeftRange", 	globalPropertyf("sim/aircraft/controls/acf_rudd_lr"))
defineProperty("RudRightRange", 	globalPropertyf("sim/aircraft/controls/acf_rudd_rr"))


defineProperty("EGTL", 	globalPropertyf("sim/flightmodel/engine/ENGN_EGT[0]"))
defineProperty("EGTR", 	globalPropertyf("sim/flightmodel/engine/ENGN_EGT[1]"))

defineProperty("EGTfL", 	globalPropertyf("sim/flightmodel/engine/ENGN_EGT_c[0]"))
defineProperty("EGTfR", 	globalPropertyf("sim/flightmodel/engine/ENGN_EGT_c[1]"))

defineProperty("EGTLd", 	globalPropertyf("com/dkmp/EGTLd"))
defineProperty("EGTRd", 	globalPropertyf("com/dkmp/EGTRd"))



--NavCom Radios - Numbers jumping to assigned values

defineProperty("COM1", globalPropertyi("com/dkmp/com1freq"))
defineProperty("NAV1", globalPropertyi("com/dkmp/nav1freq"))
defineProperty("COM2", globalPropertyi("com/dkmp/com2freq"))
defineProperty("NAV2", globalPropertyi("com/dkmp/nav2freq"))

defineProperty("COM1sim", globalPropertyi("sim/cockpit2/radios/actuators/com1_frequency_hz"))
defineProperty("NAV1sim", globalPropertyi("sim/cockpit2/radios/actuators/nav1_frequency_hz"))
defineProperty("COM2sim", globalPropertyi("sim/cockpit2/radios/actuators/com2_frequency_hz"))
defineProperty("NAV2sim", globalPropertyi("sim/cockpit2/radios/actuators/nav2_frequency_hz"))
defineProperty("ADFsim", globalPropertyf("sim/cockpit2/radios/actuators/adf1_frequency_hz"))



--Door Closing, wheels braking
defineProperty("door_1", globalPropertyi("sim/cockpit2/switches/custom_slider_on[1]"))  -- dataref for our door
defineProperty("ground_speed", globalPropertyf("sim/flightmodel/position/groundspeed")) -- true airspeed of the plane
defineProperty("RAlt", globalPropertyf("sim/cockpit2/gauges/indicators/radio_altimeter_height_ft_pilot")) -- the last time the plane was on the ground
defineProperty("parkbrake", globalPropertyf("sim/flightmodel/controls/parkbrake"))

--Fuel Tank Switches

defineProperty("FuelSwitchL", globalPropertyi("sim/cockpit2/fuel/fuel_tank_selector_left"))
defineProperty("FuelSwitchR", globalPropertyi("sim/cockpit2/fuel/fuel_tank_selector_right"))


defineProperty("FuelSwL", globalPropertyf("com/dkmp/FuelSwL"))
defineProperty("FuelSwR", globalPropertyf("com/dkmp/FuelSwR"))

defineProperty("FuelSwitch", globalPropertyi("sim/cockpit2/fuel/fuel_tank_selector"))

--Starter Switches

defineProperty("StartL", globalPropertyf("com/dkmp/StartL"))
defineProperty("StartR", globalPropertyf("com/dkmp/StartR"))

defineProperty("StartLman", globalPropertyf("com/dkmp/StartLman"))
defineProperty("StartRman", globalPropertyf("com/dkmp/StartRman"))

	--Left Engine (for prop disc)
defineProperty("propDiscOverride_0", globalPropertyi("sim/flightmodel2/engines/prop_disc/override[0]")) -- override prop disc [0]
defineProperty("prop_rotation_speed_rad_sec_0", globalPropertyf("sim/flightmodel2/engines/prop_rotation_speed_rad_sec[0]"))
defineProperty("prop_rotation_angle_deg_0", globalPropertyf("sim/flightmodel2/engines/prop_rotation_angle_deg[0]"))
defineProperty("side_angle_0", globalPropertyf("sim/flightmodel2/engines/prop_disc/side_angle[0]"))
defineProperty("prop_is_disc_0", globalPropertyi("sim/flightmodel2/engines/prop_is_disc[0]"))
defineProperty("disc_s_dim_0", globalPropertyi("sim/flightmodel2/engines/prop_disc/disc_s_dim[0]"))
defineProperty("disc_t_dim_0", globalPropertyi("sim/flightmodel2/engines/prop_disc/disc_t_dim[0]"))
defineProperty("disc_alpha_front_0", globalPropertyf("sim/flightmodel2/engines/prop_disc/disc_alpha_front[0]"))
defineProperty("disc_alpha_side_0", globalPropertyf("sim/flightmodel2/engines/prop_disc/disc_alpha_side[0]"))
defineProperty("disc_alpha_inside_0", globalPropertyf("sim/flightmodel2/engines/prop_disc/disc_alpha_inside[0]"))
defineProperty("disc_width_0", globalPropertyf("sim/flightmodel2/engines/prop_disc/disc_width[0]"))
defineProperty("side_width_0", globalPropertyf("sim/flightmodel2/engines/prop_disc/side_width[0]"))
defineProperty("side_number_of_blades_0", globalPropertyi("sim/flightmodel2/engines/prop_disc/side_number_of_blades[0]"))
defineProperty("side_s_dim_0", globalPropertyi("sim/flightmodel2/engines/prop_disc/side_s_dim[0]"))
defineProperty("side_t_dim_0", globalPropertyi("sim/flightmodel2/engines/prop_disc/side_t_dim[0]"))
defineProperty("side_alpha_front_0", globalPropertyf("sim/flightmodel2/engines/prop_disc/side_alpha_front[0]"))
defineProperty("side_alpha_side_0", globalPropertyf("sim/flightmodel2/engines/prop_disc/side_alpha_side[0]"))
defineProperty("side_alpha_inside_0", globalPropertyf("sim/flightmodel2/engines/prop_disc/side_alpha_inside[0]"))
defineProperty("side_alpha_to_camera_0", globalPropertyf("sim/flightmodel2/engines/prop_disc/side_alpha_to_camera[0]"))
defineProperty("side_is_billboard_0", globalPropertyf("sim/flightmodel2/engines/prop_disc/side_is_billboard[0]"))
defineProperty("engine_rotation_angle_deg_0", globalPropertyf("sim/flightmodel2/engines/engine_rotation_angle_deg[0]"))
defineProperty("xp_prop_ang_0", globalPropertyf("sim/flightmodel/engine/POINT_prop_ang_deg[0]"))
defineProperty("prop_pitch_deg_0", globalPropertyf("sim/flightmodel2/engines/prop_pitch_deg[0]"))
defineProperty("side_length_ratio_0", globalPropertyf("sim/flightmodel2/engines/prop_disc/side_length_ratio[0]"))

defineProperty("prop_gear_ratio_0", globalPropertyf("sim/aircraft/prop/acf_prop_gear_rat[0]"))


defineProperty("disc_s_0", globalPropertyf("sim/flightmodel2/engines/prop_disc/disc_s[0]"))
defineProperty("disc_t_0", globalPropertyi("sim/flightmodel2/engines/prop_disc/disc_t[0]"))
defineProperty("side_s_0", globalPropertyf("sim/flightmodel2/engines/prop_disc/side_s[0]"))
defineProperty("side_t_0", globalPropertyi("sim/flightmodel2/engines/prop_disc/side_t[0]"))

defineProperty("throttle_ratio_0", globalPropertyf("sim/cockpit2/engine/actuators/throttle_ratio[0]"))
defineProperty("prop_ratio_0", globalPropertyf("sim/cockpit2/engine/actuators/prop_rotation_speed_rad_sec[0]"))
defineProperty("mixture_ratio_0", globalPropertyf("sim/cockpit2/engine/actuators/mixture_ratio[0]"))
defineProperty("throttle_used_ratio_0", globalPropertyf("sim/flightmodel2/engines/throttle_used_ratio[0]"))


	--Right Engine (for prop disc)
defineProperty("propDiscOverride_1", globalPropertyi("sim/flightmodel2/engines/prop_disc/override[1]")) -- override prop disc [0]
defineProperty("prop_rotation_speed_rad_sec_1", globalPropertyf("sim/flightmodel2/engines/prop_rotation_speed_rad_sec[1]"))
defineProperty("prop_rotation_angle_deg_1", globalPropertyf("sim/flightmodel2/engines/prop_rotation_angle_deg[1]"))
defineProperty("side_angle_1", globalPropertyf("sim/flightmodel2/engines/prop_disc/side_angle[1]"))
defineProperty("prop_is_disc_1", globalPropertyi("sim/flightmodel2/engines/prop_is_disc[1]"))
defineProperty("disc_s_dim_1", globalPropertyi("sim/flightmodel2/engines/prop_disc/disc_s_dim[1]"))
defineProperty("disc_t_dim_1", globalPropertyi("sim/flightmodel2/engines/prop_disc/disc_t_dim[1]"))
defineProperty("disc_alpha_front_1", globalPropertyf("sim/flightmodel2/engines/prop_disc/disc_alpha_front[1]"))
defineProperty("disc_alpha_side_1", globalPropertyf("sim/flightmodel2/engines/prop_disc/disc_alpha_side[1]"))
defineProperty("disc_alpha_inside_1", globalPropertyf("sim/flightmodel2/engines/prop_disc/disc_alpha_inside[1]"))
defineProperty("disc_width_1", globalPropertyf("sim/flightmodel2/engines/prop_disc/disc_width[1]"))
defineProperty("side_width_1", globalPropertyf("sim/flightmodel2/engines/prop_disc/side_width[1]"))
defineProperty("side_number_of_blades_1", globalPropertyi("sim/flightmodel2/engines/prop_disc/side_number_of_blades[1]"))
defineProperty("side_s_dim_1", globalPropertyi("sim/flightmodel2/engines/prop_disc/side_s_dim[1]"))
defineProperty("side_t_dim_1", globalPropertyi("sim/flightmodel2/engines/prop_disc/side_t_dim[1]"))
defineProperty("side_alpha_front_1", globalPropertyf("sim/flightmodel2/engines/prop_disc/side_alpha_front[1]"))
defineProperty("side_alpha_side_1", globalPropertyf("sim/flightmodel2/engines/prop_disc/side_alpha_side[1]"))
defineProperty("side_alpha_inside_1", globalPropertyf("sim/flightmodel2/engines/prop_disc/side_alpha_inside[1]"))
defineProperty("side_alpha_to_camera_1", globalPropertyf("sim/flightmodel2/engines/prop_disc/side_alpha_to_camera[1]"))
defineProperty("side_is_billboard_1", globalPropertyf("sim/flightmodel2/engines/prop_disc/side_is_billboard[1]"))
defineProperty("engine_rotation_angle_deg_1", globalPropertyf("sim/flightmodel2/engines/engine_rotation_angle_deg[1]"))
defineProperty("xp_prop_ang_1", globalPropertyf("sim/flightmodel/engine/POINT_prop_ang_deg[1]"))
defineProperty("prop_pitch_deg_1", globalPropertyf("sim/flightmodel2/engines/prop_pitch_deg[1]"))
defineProperty("side_length_ratio_1", globalPropertyf("sim/flightmodel2/engines/prop_disc/side_length_ratio[1]"))

defineProperty("prop_gear_ratio_1", globalPropertyf("sim/aircraft/prop/acf_prop_gear_rat[1]"))


defineProperty("disc_s_1", globalPropertyf("sim/flightmodel2/engines/prop_disc/disc_s[1]"))
defineProperty("disc_t_1", globalPropertyi("sim/flightmodel2/engines/prop_disc/disc_t[1]"))
defineProperty("side_s_1", globalPropertyf("sim/flightmodel2/engines/prop_disc/side_s[1]"))
defineProperty("side_t_1", globalPropertyi("sim/flightmodel2/engines/prop_disc/side_t[1]"))

defineProperty("throttle_ratio_1", globalPropertyf("sim/cockpit2/engine/actuators/throttle_ratio[1]"))
defineProperty("prop_ratio_1", globalPropertyf("sim/cockpit2/engine/actuators/prop_rotation_speed_rad_sec[1]"))
defineProperty("mixture_ratio_1", globalPropertyf("sim/cockpit2/engine/actuators/mixture_ratio[1]"))
defineProperty("throttle_used_ratio_1", globalPropertyf("sim/flightmodel2/engines/throttle_used_ratio[1]"))


defineProperty("throttle_ratio_all", globalPropertyf("sim/cockpit2/engine/actuators/throttle_ratio_all"))
defineProperty("mixture_ratio_all", globalPropertyf("sim/cockpit2/engine/actuators/mixture_ratio_all"))
defineProperty("prop_rotation_speed_all", globalPropertyf("sim/cockpit2/engine/actuators/prop_rotation_speed_rad_sec_all"))


defineProperty("sim_speed", globalPropertyi("sim/time/sim_speed"))
defineProperty("frame_rate_period", globalPropertyf("sim/operation/misc/frame_rate_period"))



--Misc
defineProperty("FD", globalPropertyi("sim/aircraft/view/acf_has_SC_fd"))
			
defineProperty("FDanim", globalPropertyi("sim/cockpit2/switches/custom_slider_on[11]"))

defineProperty("timer_running", globalPropertyf("sim/time/timer_is_running_sec"))
defineProperty("timer_sec", globalPropertyf("sim/time/timer_elapsed_time_sec"))

defineProperty("timer2", globalPropertyf("com/dkmp/timer2"))

defineProperty("frame_time", globalPropertyf("frame_time"))
defineProperty("angle1", globalPropertyf("blades/angle1"))


defineProperty("StrobeLights", globalPropertyf("sim/cockpit2/switches/strobe_lights_on"))
defineProperty("Beacon", globalPropertyf("sim/cockpit2/switches/beacon_on"))

--Daylight dependent components
defineProperty("light_level_r", globalPropertyf("sim/graphics/misc/cockpit_light_level_r"))
defineProperty("beacon_brightness_ratio", globalPropertyf("sim/flightmodel2/lights/beacon_brightness_ratio"))
defineProperty("nav_lights_brightness_ratio", globalPropertyf("sim/flightmodel2/lights/nav_lights_brightness_ratio[0]"))


--Owned datarefs

defineProperty("ThrottleDifferential", globalPropertyf("com/dkmp/ThrottleDifferential"))

defineProperty("ThrottleLeftInt", globalPropertyf("com/dkmp/ThrottleLeftInt"))
defineProperty("ThrottleRightInt", globalPropertyf("com/dkmp/ThrottleRightInt"))

defineProperty("beaconReflection", globalPropertyf("com/dkmp/BeaconReflection"))
defineProperty("NavReflection", globalPropertyf("com/dkmp/NavReflection"))
defineProperty("CabinIllumination_0", globalPropertyf("com/dkmp/CabinIllumination_0"))
defineProperty("CabinIllumination_1", globalPropertyf("com/dkmp/CabinIllumination_1"))
defineProperty("CabinIllumination_2", globalPropertyf("com/dkmp/CabinIllumination_2"))

defineProperty("Endurance_h", globalPropertyf("com/dkmp/Endurance_h"))
defineProperty("TotalFuelUsed_kg", globalPropertyf("com/dkmp/TotalFuelUsed_kg"))
defineProperty("InitialFuel", globalPropertyf("com/dkmp/InitialFuel"))

defineProperty("FFknob", globalPropertyi("com/dkmp/FFknob"))
defineProperty("GalUsed", globalPropertyi("com/dkmp/GalUsed"))
defineProperty("GalRem", globalPropertyi("com/dkmp/GalRem"))
defineProperty("SetToTank", globalPropertyi("com/dkmp/SetToTank"))

defineProperty("FFL", globalPropertyf("sim/cockpit2/engine/indicators/fuel_flow_kg_sec[0]"))
defineProperty("FFR", globalPropertyf("sim/cockpit2/engine/indicators/fuel_flow_kg_sec[1]"))

defineProperty("PropDifferential", globalPropertyf("com/dkmp/PropDifferential"))

defineProperty("PropLeftInt", globalPropertyf("com/dkmp/PropLeftInt"))
defineProperty("PropRightInt", globalPropertyf("com/dkmp/PropRightInt"))




defineProperty("MixtureDifferential", globalPropertyf("com/dkmp/MixtureDifferential"))

defineProperty("MixtureLeftInt", globalPropertyf("com/dkmp/MixtureLeftInt"))
defineProperty("MixtureRightInt", globalPropertyf("com/dkmp/MixtureRightInt"))

defineProperty("NavReflection", globalPropertyf("com/dkmp/NavReflection"))

defineProperty("FuelL", globalPropertyf("com/dkmp/FuelSelectL"))
defineProperty("FuelR", globalPropertyf("com/dkmp/FuelSelectR"))

defineProperty("C1", globalPropertyi("com/dkmp/C1"))
defineProperty("C2", globalPropertyi("com/dkmp/C2"))
defineProperty("D", globalPropertyi("com/dkmp/D"))
defineProperty("M", globalPropertyi("com/dkmp/M"))
defineProperty("A", globalPropertyi("com/dkmp/A"))
defineProperty("N1", globalPropertyi("com/dkmp/N1"))
defineProperty("N2", globalPropertyi("com/dkmp/N2"))
defineProperty("AX", globalPropertyi("com/dkmp/AX"))
defineProperty("S", globalPropertyi("com/dkmp/S"))
defineProperty("Pwr", globalPropertyi("com/dkmp/Pwr"))

defineProperty("GyroAir", globalPropertyf("com/dkmp/GyroAir"))






defineProperty("night", globalPropertyf("sim/graphics/scenery/percent_lights_on")) -- how dark it is


defineProperty("time", globalPropertyf("sim/time/total_flight_time_sec"))



defineProperty("ratchetTest", globalPropertyf("com/dkmp/RatchetTest"))
defineProperty("FN", globalPropertyf("com/dkmp/frame_number")) -- flight time

--Sounds

knobRatchet1 = loadSample('sounds/KnobRatchet1.wav')
setSampleGain(knobRatchet1, 400)

--Array Datarefs



--Reset Messages, initialize variables
	--Panel Brightness Ratio array reset
	
local PBR={}
for i=0,4 do
	PBR[i] = globalPropertyf("sim/cockpit2/switches/panel_brightness_ratio[".. i .."]")
end

for i=0, 4 do 
	set(PBR[i], 0) 
	end
	
	
	
		--Instrument Brightness Ratio array reset
local IBR={}
for i=0,16 do
	IBR[i] = globalPropertyf("sim/cockpit2/switches/instrument_brightness_ratio[".. i .."]")
end

for i=0, 16 do 
	set(IBR[i], 0) 
	end
	
set(IBR[0], 1)	
	
	
	--Generic Lights Switch Reset
	local GLS={}
	for i=0,64 do
		GLS[i] = globalPropertyf("sim/cockpit2/switches/generic_lights_switch[".. i .."]")
	end

for i=0, 64 do 
	set(GLS[i], 0) 
	end
	
	--exceptions
set(GLS[11], 1)
set(GLS[13], 1)


	--Custom Slider On
local CSO={}
for i=0,24 do
	CSO[i] = globalPropertyf("sim/cockpit2/switches/custom_slider_on[".. i .."]")
end

for i=0, 9 do 
	set(CSO[i], 0) 
	end
	

for i=11, 24 do 
	set(CSO[i], 0) 
	end
	
local CSR={}
for i=0,24 do
	CSR[i] = globalPropertyf("sim/flightmodel2/misc/custom_slider_ratio[".. i .."]")
end	
	
--Set start key positions

set(StartL, get(ignitionL))
set(StartLman, get(ignitionL))
	
set(StartR, get(ignitionR))
set(StartRman, get(ignitionR))
	
	
	--Show yokes at startup
	
	defineProperty("LeftYokeShowHide", globalPropertyi("sim/cockpit2/switches/no_smoking"))
	defineProperty("RightYokeShowHide", globalPropertyi("sim/cockpit2/switches/fasten_seat_belts"))


--Reset Fuel Flow gauge's fuel tank to match the initial fuel load



set(LeftYokeShowHide, 0)
set(RightYokeShowHide, 0)
--set(FuelSwitchL, 1)
--set(FuelSwitchR, 3)
set(FuelSwitch, 4)

set(snap, 0)


--set rudder deflection to +/- 10 at startup

set(Waves, 0.08)


--set(RudLeftRange, 15)
--set(RudRightRange, 15)


-- minimun battery voltage, wich can power the aircraft
local MIN_BAT_VOLT = 12


set(propDiscOverride_0,1) 
set(propDiscOverride_1,1)
set(side_length_ratio_0, 1)
set(side_length_ratio_1, 1)

--Prop Disc Dimensions
set(disc_s_dim_0,4)
set(disc_s_dim_1,4)
set(disc_t_dim_0,2)
set(disc_t_dim_1,2)

-- Alpha settings for the prop disc.


	--Side is a 2-blade prop 15 cm wide.  We have 32x2 slots for side discs.
set(disc_width_0, 0.0)
set(disc_width_1, 0.0)



set(side_number_of_blades_0, 456)
set(side_number_of_blades_1, 456)

set(side_s_dim_0, 32)
set(side_s_dim_1, 32)

set(side_t_dim_0,2)
set(side_t_dim_1,2)


	--Alpha setting for side disc is separate
set(side_alpha_front_0, 0.0)
set(side_alpha_front_1, 0.0)

--set(side_alpha_side_0, 1)
--set(side_alpha_side_1, 1)

set(side_alpha_inside_0, 0.5)
set(side_alpha_inside_1, 0.5)

--set(side_alpha_to_camera_0, -0.1)
--set(side_alpha_to_camera_1, -0.1)

set(side_is_billboard_0, 0)
set(side_is_billboard_1, 0)



set(SimVersion, 1)

--Set NavCom1 custom Stby frequencies to internal Stby frequencies

set(COM1, (get(COM1)) * 0.4)
set(NAV1, (get(NAV1)) * 0.2)
set(COM2, get(COM2) * 0.4)
set(NAV2, get(NAV2) * 0.2)


COM1_last = get(COM1)
NAV1_last = get(NAV1)
COM2_last = get(COM2)
NAV2_last = get(NAV2)
ADF_last = get(ADFsim)
Flap_last = get(Flap)

altitude_dial_skip_last = get(altitude_dial_skip)

sync_pitch_last = get(sync_pitch)

vvifpm_last = get(vvifpm)

vvistatus_last = get(vvistatus)

Rudder_last = get(Rudder)

ToeBrakeL_last = get(ToeBrakeL)
ToeBrakeR_last = get(ToeBrakeR)

TWLWR_last = get(TWLWR)

-- _____________________________________________________________
	--Radio tuner and Flip functions  (Commands)
	
	
	--setSampleGain(knobRatchet1, 200)

flipCom1 = findCommand("sim/radios/com1_standy_flip")

function flipCom1Handler(phase)
	if 0 == phase then	
	
	--set(COM1sim, (get(COM1)) * 2.5)
	
	elseif 1 == phase then
	
	--set(COM1, (get(COM1sim)+1) * 0.4)

	end
return 2
end




registerCommandHandler(flipCom1, 1, flipCom1Handler);


flipNav1 = findCommand("sim/radios/nav1_standy_flip")

function flipNav1Handler(phase)
	if 0 == phase then	
	
--	set(NAV1sim, get(NAV1) * 5)
	elseif 1 == phase then
	
--	set(NAV1, get(NAV1sim) * 0.2)

	end
return 2
end






registerCommandHandler(flipNav1, 1, flipNav1Handler);



set(dg_drift, 0)

set(InitialFuel, (get(fuel_quantity_0) + get(fuel_quantity_1)) / 0.27272727)

if get(FloatL) == 1 then 
set(Ski, 1)
end

-- _____________________________________________________________
-- _____________________________________________________________
-- _____________________________________________________________

  --MAIN FUNCTIONS
  
-- calculate misc systems parameters frame by frame
function update()


if get(SimVersion) == 1 then 
set(SimV, 1)
--set(Retract, 0)
else
set(SimV, 0)
end




set(generic_lights_switch_0, get(beacon_brightness))



--If Sea Plane is loaded, then disable Fairings and tundra options, and switch tail lock handle to water rudder handle.

if get(FloatL) == 1 then 
set(Float, 1) 
set(CSO[10], 0)  --(Fairings)
set(Tundra, 0)
set(Fairings, 0)
else 
set(Float, 0) 
end




if get(Ski) == 1 then

set(Fairings, 0)			--(Fairings)



end
--[[

if get(Tundra) == 1 then 
	set(TireRadiusL, 0.327432)
	set(TireRadiusR, 0.327432)
	set(Ski, 0)
	set(CSO[10], 0)  --(Fairings)
else
	set(TireRadiusL, 0.227432)
	set(TireRadiusR, 0.227432)


end	



]]



if TWLWR_last - get(TWLWR) ~= 0 then
set(WaterRudder, get(TWLWR))
set(CSO[21], get(WaterRudder))
end

--[[
if get(CSO[10]) == 0 then
	if get(fuelL) > 109 then
		set(fuelL, 109)		
	end
	if get(fuelR) > 109 then
		set(fuelR, 109)		
	end
	
end	


--]]
--Skywagon Ski Shock absorber Bungees


--[[
RotXFL
RotYFL
BungeeFL 

GearDeployL

DeflSkiL 
DeflWheelL
]]



set(RotXFL, 29.3+ (get(GearDeployL)*3.7)+(get(DeflWheelL)*10)+(get(DeflSkiL)*30))
set(RotYFL, 15+ (get(GearDeployL)*1.3)+(get(DeflWheelL)*20)+(get(DeflSkiL)*30))
set(BungeeFL, 0.1 + (get(GearDeployL)*0.1)+(get(DeflWheelL)*0.8)+(get(DeflSkiL)*3.8))


set(RotXFR, 29.3+ (get(GearDeployR)*3.7)+(get(DeflWheelR)*10)+(get(DeflSkiR)*30))
set(RotYFR, 13+ (get(GearDeployR)*1.3)+(get(DeflWheelR)*20)+(get(DeflSkiR)*30))
set(BungeeFR, 0.1 + (get(GearDeployR)*0.1)+(get(DeflWheelR)*0.8)+(get(DeflSkiR)*3.8))



set(RotXRL, 38.5 + (get(GearDeployL)*7.4)+(get(DeflWheelL)*-10)+(get(DeflSkiL)*-35))
set(RotYRL, 23.5 + (get(GearDeployL)*0.6)+(get(DeflWheelL)*30)+(get(DeflSkiL)*-20))
set(BungeeRL, 0.48 + (get(GearDeployL)*0.07)+(get(DeflWheelL)*-2)+(get(DeflSkiL)*-6.1))


set(RotXRR, 35.5+ (get(GearDeployR)*7.4)+(get(DeflWheelR)*-10)+(get(DeflSkiR)*-35))
set(RotYRR, 27.5+ (get(GearDeployR)*0.6)+(get(DeflWheelR)*30)+(get(DeflSkiR)*-20))
set(BungeeRR, 0.48 + (get(GearDeployR)*0.07)+(get(DeflWheelR)*-2)+(get(DeflSkiR)*-6.1))

set(CableL, -2 + (get(GearDeployL)*7)+(get(DeflWheelL)*20)+(get(DeflSkiL)*90))
set(CableR, -2 + (get(GearDeployR)*7)+(get(DeflWheelR)*20)+(get(DeflSkiR)*90))


if get(DeflSkiL) > 0.28 or get(DeflSkiR) > 0.28 then
set(snap, 1)

end





if get(time) < 2 then
	if get(prop_rotation_speed_rad_sec_0) > 5 or get(prop_rotation_speed_rad_sec_1) > 5 then
		set(static, 0)
	else
	set(static, 1)
	set(avionics, 0)
	set(StartL, 0)
	set(StartLman, 0)
	
	set(StartR, 0)
	set(StartRman, 0)	
	end
	
elseif get(time) > 2 then
	if get(prop_rotation_speed_rad_sec_0) > 5  then
		set(static, 0)

	end

end




if
get(ice_prop_heat_on) == 1 and
get(ice_pitot_heat_on) == 1 and
get(ice_inlet_heat_on) == 1 and
get(ice_AOA_heat_on) == 1 and
get(ice_prop_heat) == 1 and
get(ice_window_heat) == 1 and
get(ice_surface_boot_on) == 1 then

set(ice_all_on, 1)
end




--[[

vvi
vvistatus
VVIhide

altitude_ft
altitude_dial_ft

alert

]]





if get(vvistatus) > 1 then
--set(vvi, 1)
set(VVIhide, 1)
else
--set(vvi, 0)
set(VVIhide, 0)
end



if vvifpm_last - get(vvifpm) ~= 0 or  vvistatus_last - get(vvistatus) ~= 0  then
set(timer2, get(time))
set(vvi, 1)
end




if get(time) - get(timer2) > 3 then
set(vvi, 0)

end

if altitude_dial_skip_last - get(altitude_dial_skip) ~= 0 then
set(altitude_dial_ft, (math.floor(get(altitude_dial_skip)*0.01))*100)
else
set(altitude_dial_skip, get(altitude_dial_ft))
end


deltaAlt = get(altitude_dial_ft) - get(altitude_ft)

if get(fpm) > 100 then
	if deltaAlt < 1000 and deltaAlt > 100  then
	set(alert, 1)
	else
	set(alert, 0)
	end
elseif get(fpm) < -100 then
	if deltaAlt > -1000  and deltaAlt < -100  then
	set(alert, 1)
	else
	set(alert, 0)
	end
else
set(alert, 0)
end


--Prepare value for "Z" (rotation of camera relative to plane)
Z= (get(viewHDG)) - (get(acfyaw))+90
ZC= (get(viewHDG)) - (get(acfyaw)+get(steering))
ZL= (get(viewHDG)) - (get(acfyaw))+12
ZR= (get(viewHDG)) - (get(acfyaw))-12

P = get(viewPitch) -  (get(acfpitch))

--Convert Z value to radians, then take the negative cosine of the result to set front/back sound volume

Dir =  (math.exp(-math.cos(math.rad(Z)))-2.6)*5
DirC =  (math.exp(-math.cos(math.rad(ZC)))-2.6)*5*get(retract)
DirL =  (math.exp(-math.cos(math.rad(ZL)))-2.6)*5
DirR =  (math.exp(-math.cos(math.rad(ZR)))-2.6)*5

if get(ground_speed) > 0.1 then
Pitch = (math.abs(get(viewPitch) -  math.abs(get(acfpitch))))*0.023
else
Pitch =  math.abs(get(viewPitch)*0.02)
end

set(GLS[2], (get(LeftLandLight)*DirL)-Pitch)
set(GLS[3], (get(RightLandLight)*DirR)-Pitch)
set(GLS[4], (get(TaxiLight)*DirC)-Pitch)
set(GLS[5], (get(TaxiLight)*DirR)-Pitch)

--set(GLS[7], (get(GLS[30])*Dir)-Pitch)









if math.mod(get(FN),100) == 0 then

R1 = math.random(-0.3,0.3)
R2 = math.random(-0.3,0.3)
R3 = math.random(-0.3,0.3)
R4 = math.random(-0.3,0.3)
R5 = math.random(-0.3,0.3)
R6 = math.random(-0.3,0.3)

end

if math.mod(get(FN),72) == 0 then

R7 = math.random(-0.3,0.3)
R8 = math.random(-0.3,0.3)
R9 = math.random(-0.3,0.3)
R10 = math.random(-0.3,0.3)
R11= math.random(-0.3,0.3)
R12= math.random(-0.3,0.3)

end

a=1.4
b=-0.1
set(EGTL1, a*get(EGTL)+R1+b)
set(EGTL2, a*get(EGTL)+R2+b)
set(EGTL3, a*get(EGTL)+R3+b)
set(EGTL4, a*get(EGTL)+R4+b)
set(EGTL5, a*get(EGTL)+R5+b)
set(EGTL6, a*get(EGTL)+R6+b)


set(EGTR1, a*get(EGTR)+R7+b)
set(EGTR2, a*get(EGTR)+R8+b)
set(EGTR3, a*get(EGTR)+R9+b)
set(EGTR4, a*get(EGTR)+R10+b)
set(EGTR5, a*get(EGTR)+R11+b)
set(EGTR6, a*get(EGTR)+R12+b)


if math.mod(get(FN),60) == 0 then


set(EGTPeakL, get(EGTPeakL) +1)
set(EGTPeakR, get(EGTPeakR) +1)

rL=math.random(-10,10)

rR=math.random(-10,10)


end




set(EGTLd, get(EGTfL)+rL)
set(EGTRd, get(EGTfR)+rR)



--[[
if get(EGTPeakL) == 0 then
set(EGTLd, get(EGTL))
elseif get(EGTPeakL) == 1 then
set(EGTLd, get(EGTL))
elseif get(EGTPeakL) == 2 then
set(EGTLd, get(EGTL))
elseif get(EGTPeakL) == 3 then
set(EGTLd, get(EGTL))
elseif get(EGTPeakL) == 4 then
set(EGTLd, get(EGTL))
elseif get(EGTPeakL) == 5 then
set(EGTLd, get(EGTL))
end
]]

--Prop Amps gauge

if get(ice_prop_heat_on) == 0 then
set(propAmps, get(propAmps)*0.95)
else
set(propAmps, (get(left_gen_amp)+ get(right_gen_amp))*0.275)
end



--A=A+((B-A)*C)

--[[

	if get(DeIcePressure) == 11 and get(GLR[20]) < 1 then	
	
	set(DeIcePressure, get(DeIcePressure)+(18-(get(DeIcePressure)))*0.05)

	elseif get(DeIcePressure) == 16 and get(GLS[60]) == 0 then
	
	set(DeIcePressure, get(DeIcePressure)+(10-(get(DeIcePressure)))*0.05)
	set(GLS[60], 0)
	end
	]]

if get(ice_surface_boot_on) == 1 then 
	if get(CSR[20]) > 0.99 then
	set(CSO[20], 0) 
	elseif get(CSR[20]) < 0.5 then
	set(CSO[20], 1) 

	end
else
set(CSO[20], 0) 
set(DeIcePressure, get(CSR[20])*18)
end


set(DeIcePressure, get(CSR[20])*18)


--Starter Knobs


if get(StartLman) <= 3 and get(ignitionL) - get(StartL) < 0.3 then
set(StartL, get(StartLman))
set(ignitionL, get(StartL))

elseif get(StartLman) == 4 then
set(StartL, 4)
set(StartLman, 3)
set(ignitionL, 4)
else
set(StartLman, get(ignitionL))

end




if get(StartRman) <= 3 and get(ignitionR) - get(StartR) <0.1 then
set(StartR, get(StartRman))
set(ignitionR, get(StartR))

elseif get(StartRman) == 4 then
set(StartR, 4)
set(StartRman, 3)
set(ignitionR, 4)

else
--set(StartR, get(ignitionR))
set(StartRman, get(ignitionR))
end



--Fuel Switches
--[[
	if get(FuelSwL) > 0.8 and get(FuelSwR) >0.8 then
	set(FuelSwitch, 4)
	elseif get(FuelSwL) > 0.8 and get(FuelSwR) < 0.8 then
	set(FuelSwitch, 1)
	elseif get(FuelSwL) < 0.8 and get(FuelSwR) > 0.8 then
	set(FuelSwitch, 3)
	elseif get(FuelSwL) < 0.8 and get(FuelSwR) < 0.8 then
	set(FuelSwitch, 0)
	end
]]



--Prop gear ratios for RPM lowering at high speeds


--set(prop_gear_ratio_0, 1-(get(throttle_ratio_0)))
--set(prop_gear_ratio_1, 1-(get(throttle_ratio_1)))



--FUEL FLOW GAUGE

if get(time) < 1 then set(SetToTank, 1) 
elseif get(time) >= 1 and get(time) < 2 then set(SetToTank, 0)
end

if get(SetToTank) == 1 then
set(InitialFuel, (get(fuel_quantity_0) + get(fuel_quantity_1)) / 0.27272727)

end



if get(GalRem) == 1 then
set(TotalFuelUsed_kg, (get(fuel_quantity_0) + get(fuel_quantity_1)) / 27.272727)
elseif get(GalUsed) == 1 then
set(TotalFuelUsed_kg, get(InitialFuel)*0.01 - (get(fuel_quantity_0) + get(fuel_quantity_1)) / 27.272727)
elseif get(SetToTank) == 1 then
set(TotalFuelUsed_kg, get(InitialFuel)*0.01)
else
	if get(FFknob)== 0 then
	set(TotalFuelUsed_kg, get(kts) / ((get(FFL)*1369.86) + (get(FFR)*1369.86)))
	elseif get(FFknob)== 1 then
	set(TotalFuelUsed_kg, get(Destination)*((get(FFL)*136.986) + (get(FFR)*136.986))/get(kts))
	elseif get(FFknob)== 2 then
	set(TotalFuelUsed_kg, (get(InitialFuel)*0.01)-(get(Destination)*((get(FFL)*136.986) + (get(FFR)*136.986))/get(kts)))
	elseif get(FFknob)== 3 then
	set(TotalFuelUsed_kg, get(InitialFuel)/((get(FFL)*136.986) + (get(FFR)*136.986)))
	end
end







--Flight Director Animation
set(FDanim, get(FD))

--set(Beacon, get(StrobeLights))

   -- is gauge power avialble?
      if get(battery_on) == 1 or get(left_gen_amp) > 10 then 
          set(avionics, 1)

      else 
          set(avionics, 0)
      end
     


if get(avionics) == 1 and get(battery_on) == 1 then
set(GNS430, 0)
elseif get(avionics) == 0 and get(battery_on) == 1 then
set(GNS430, 1)
elseif get(avionics) == 1 and get(battery_on) == 0 and get(left_gen_amp) + get(right_gen_amp) < 10  then
set(GNS430, 1)
elseif get(avionics) == 0 and get(battery_on) == 0 then
set(GNS430, 1)
end


if get(battery_on) == 1  or get(left_gen_amp) > 10 then
		
		set(altAmpsL, get(left_gen_amp))
		set(altAmpsR, get(right_gen_amp))
		set(CHTL, get(CHT_0))
		set(CHTR, get(CHT_1))
		set(OilTempL, get(OilTemp_0))
		set(OilTempR, get(OilTemp_1))
		set(OilPressL, get(OilPress_0))
		set(OilPressR, get(OilPress_1))
		set(FuelL, (get(fuel_quantity_0)*2.20462262185)/582)
		set(FuelR, (get(fuel_quantity_1)*2.20462262185)/582)
		set(ADF1, get(ADF1_relative_bearing))
		
		if get(suction1) < 0.2 or get(suction2) < 0.2 then
		set(GyroAir, 1)
		else
		set(GyroAir, 0)
		end
		
		set(C1, get(audiocom1))
		set(C2, get(audiocom2))
		set(D, get(audiodme))
		set(M, get(audiomarker))
		set(A, get(audioadf))
		set(N1, get(audionav1))
		set(N2, get(audionav2))
		set(AX, get(audioAX))
		set(S, get(audioS))
		set(Pwr, 1)
		
		set(CabinIllumination_0, get(PBR[0]) + 0.2 - get(light_level_r))
		set(CabinIllumination_1, get(PBR[1]) + 0.2 - get(light_level_r))
		set(CabinIllumination_2, get(PBR[2]) + 0.2 - get(light_level_r))
		
		if get(GearRatio_0) == 1 then set(NoseGear, 1) else set(NoseGear, 0)	end
		if get(GearRatio_1) == 1 then set(LeftGear, 1) else set(LeftGear, 0)	end
		if get(GearRatio_2) == 1 then set(RightGear, 1) else set(RightGear, 0)	end
		
		
	
elseif get(battery_on) == 0 then

		set(GyroAir, 0)
		
		set(altAmpsL, math.abs(get(altAmpsL)*0.9))
		set(altAmpsR, math.abs(get(altAmpsR)*0.9))
		set(CHTL, get(CHTL)*0.95)
		set(CHTR, get(CHTR)*0.95)
		set(OilTempL, get(OilTempL)*0.95)
		set(OilTempR, get(OilTempR)*0.95)
		set(OilPressL, get(OilPressL)*0.95)
		set(OilPressR, get(OilPressR)*0.95)
		set(FuelL, get(FuelL)*0.95)
		set(FuelR, get(FuelR)*0.95)
		set(ADF1, (get(ADF1_relative_bearing)*0.5)+45)

		set(C1, 0)
		set(C2, 0)
		set(D, 0)
		set(M, 0)
		set(A, 0)
		set(N1, 0)
		set(N2, 0)
		set(AX, 0)
		set(S, 0)
		set(Pwr, 0)
		
		set(CabinIllumination_0, 0)
		set(CabinIllumination_1, 0)
		set(CabinIllumination_2, 0)

		set(NoseGear, 0)
		set(LeftGear, 0)
		set(RightGear, 0)
		
		
		
end




--set nav/com radios to jump over unused frequencies


tempTime = 0


--[[
if COM1_last - get(COM1sim)  ~= 0 and get(time) > 2 then
	set(COM1, (get(COM1sim)+1) * 0.4)
	else
	set(COM1sim, (get(COM1)) * 2.5)
end

if NAV1_last - get(NAV1sim)  ~= 0 and get(time) > 2 then
	set(NAV1, (get(NAV1sim)) * 0.2)
	else
	set(NAV1sim, (get(NAV1)) * 5)
end

if COM2_last - get(COM2sim)  ~= 0 and get(time) > 2 then
	set(COM2, (get(COM2sim)) * 0.4)
	else
	set(COM2sim, (get(COM2)) * 2.5)
end


if NAV2_last - get(NAV2sim)  ~= 0 and get(time) > 2 then
	set(NAV2, (get(NAV2sim)) * 0.2)
	else
	set(NAV2sim, (get(NAV2)) * 5)
end
]]


if COM1_last > get(COM1) and get(time) > 2 then commandOnce(SFDCom1) playSample(knobRatchet1, 0) elseif  COM1_last < get(COM1)  and get(time) > 2   then  commandOnce(SFUCom1) playSample(knobRatchet1, 0) else set(COM1, (get(COM1sim)+1) * 0.4) stopSample(knobRatchet1) end
if NAV1_last > get(NAV1) and get(time) > 2 then commandOnce(SFDNav1) playSample(knobRatchet1, 0) elseif  NAV1_last < get(NAV1)  and get(time) > 2   then  commandOnce(SFUNav1) playSample(knobRatchet1, 0) else set(NAV1, (get(NAV1sim)+1) * 0.2) stopSample(knobRatchet1) end
if COM2_last > get(COM2) and get(time) > 2 then commandOnce(SFDCom2) playSample(knobRatchet1, 0) elseif  COM2_last < get(COM2)  and get(time) > 2   then  commandOnce(SFUCom2) playSample(knobRatchet1, 0) else set(COM2, (get(COM2sim)+1) * 0.4) stopSample(knobRatchet1) end
if NAV2_last > get(NAV2) and get(time) > 2 then commandOnce(SFDNav2) playSample(knobRatchet1, 0) elseif  NAV2_last < get(NAV2)  and get(time) > 2   then  commandOnce(SFUNav2) playSample(knobRatchet1, 0) else set(NAV2, (get(NAV2sim)+1) * 0.2) stopSample(knobRatchet1) end


--Set Stuff according to day/night functionality

set(side_number_of_blades_0, 356)


local Dark=get(night)

set(IBR[10], (0.8-(Dark)*0.72))

set(NavReflection, get(nav_lights_brightness_ratio) * 0.6 * (Dark + 0.3))

set(beaconReflection, get(beacon_brightness_ratio) * Dark)

set(disc_alpha_front_0, 3.0 * get(light_level_r) - 1)
set(disc_alpha_front_1, 3.0 * get(light_level_r) - 1)

set(disc_alpha_side_0, 0.0)
set(disc_alpha_side_1, 0.0)

set(disc_alpha_inside_0,0.7)
set(disc_alpha_inside_1,0.7)


set(side_alpha_side_0, 0.1 - get(prop_rotation_speed_rad_sec_0)*0.00025)  --prop_rotation_speed_rad_sec_0
set(side_alpha_side_1, 0.1 - get(prop_rotation_speed_rad_sec_1)*0.00025)  --prop_rotation_speed_rad_sec_1

set(side_alpha_to_camera_0, 1.1)
set(side_alpha_to_camera_1, 1.1)


	-- Set prop rotation angle
	set(prop_rotation_angle_deg_0, get(engine_rotation_angle_deg_0))
	set(prop_rotation_angle_deg_1, get(engine_rotation_angle_deg_1))

	set(side_angle_0, get(engine_rotation_angle_deg_0))
	set(side_angle_1, get(engine_rotation_angle_deg_1))

	
	--Individual blades or a disc?  We switch at greater than 18 rad/s spinning.
	
	--Left Engine
	if get(prop_rotation_speed_rad_sec_0) > 18.0 then
		set(prop_is_disc_0, 1)
	else
		set(prop_is_disc_0, 0)
	end
	--[[
	if get(prop_rotation_speed_rad_sec_1) > 18.0 then
		set(prop_is_disc_1, 1)
	else
		set(prop_is_disc_1, 0)
	end
	
		--Right Engine
	if get(prop_rotation_speed_rad_sec_1) > 18.0 then
		set(prop_is_disc_1, 1)
	else
		set(prop_is_disc_1, 0)
	end
	]]
set(side_width_0, 0.066)
set(side_width_1, (get(prop_pitch_deg_1)*0.0009)+0.1)
	
	-- We pick our texture slots by interpolating the prop speed.
	-- So as the prop speeds up, we pick different slots.
	--Left Engine - Front
	if get(prop_rotation_speed_rad_sec_0) < 144.0 then
	set(disc_s_0, 0)
	
	elseif  get(prop_rotation_speed_rad_sec_0) < 280.0 then
	set(disc_s_0, get(prop_rotation_speed_rad_sec_0) * 0.0142 - 2)
	
	else 
	set(disc_s_0, 2)
	end
	
	--Right Engine - Front
	if get(prop_rotation_speed_rad_sec_1) < 144.0 then
	set(disc_s_1, 0)
	
	elseif  get(prop_rotation_speed_rad_sec_1) < 280.0 then
	set(disc_s_1, get(prop_rotation_speed_rad_sec_1) * 0.0142 - 2)
	
	else 
	set(disc_s_1, 2)
	end
	
	
	set(side_s_0, 24)
	set(side_s_1, 24)
	
	
--[[	
	--Left Engine - Side Billboard
	
	if get(prop_rotation_speed_rad_sec_0) < 144.0 then
	set(side_s_0, 24)
	
	elseif  get(prop_rotation_speed_rad_sec_0) < 288.0 then
	set(side_s_0, get(prop_rotation_speed_rad_sec_0) * 0.0138888 + 22)
	
	else 
	set(side_s_0, 26)
	end
	
	--Right Engine - Side Billboard
	
	if get(prop_rotation_speed_rad_sec_1) < 144.0 then
	set(side_s_1, 24)
	
	elseif  get(prop_rotation_speed_rad_sec_1) < 288.0 then
	set(side_s_1, get(prop_rotation_speed_rad_sec_1) * 0.0138888 + 22)
	
	else 
	set(side_s_1, 26)
	end
]]	
	
if get(SoundFB)  < 0 then	
	set(disc_t_0, 0)
	set(disc_t_1, 0)
else
	set(disc_t_0, 1)
	set(disc_t_1, 1)	
end	
	
	set(side_t_0, 1)
	set(side_t_1, 1)




--------------------------------------------------




   -- is gauge power avialble?
   if get(avionics) == 1 then -- all gauges are OFF when avionics is OFF
      if get(battery_on) == 1 and get(battery_volts) > MIN_BAT_VOLT then 
          set(gauge_power, 1)
      elseif get(left_gen_amp) + get(right_gen_amp) > 10 then 
          set(gauge_power, 1)
      else 
          set(gauge_power, 0)
      end
   else 
       set(gauge_power, 0)
   end
   
   --Differential throttles



  	
   
   --Apply parking brake after plane leaves ground to stop wheels from spinning
   
if get(RAlt) > 2 then
   set(parkbrake, 0.1)
   elseif get(RAlt) > 1 and get(RAlt) < 2 then
   set(parkbrake, 0)
   else
   set(parkbrake, get(parkbrake))
   end
   
   
   --Close door at 16 ground speed
   
      if get(ground_speed) > 16 then
	for i=0, 4 do 
	set(CSO[i], 0) 
	end
	set(CSO[23], 0)
   end
   
   
COM1_last = get(COM1)
NAV1_last = get(NAV1)
COM2_last = get(COM2)
NAV2_last = get(NAV2)
ADF_last = get(ADFsim)
Flap_last = get(Flap)

altitude_dial_skip_last = get(altitude_dial_skip)

sync_pitch_last = get(sync_pitch)

vvifpm_last = get(vvifpm)
vvistatus_last = get(vvistatus)
Rudder_last = get(Rudder)

ToeBrakeL_last = get(ToeBrakeL)
ToeBrakeR_last = get(ToeBrakeR)

TWLWR_last = get(TWLWR)

end



