-- Views Panel

size = { 500, 380 }

defineProperty("tire_0", globalPropertyf("sim/flightmodel2/gear/tire_vertical_deflection_mtr[0]"))
defineProperty("engine_running", globalPropertyi("sim/flightmodel/engine/ENGN_running[0]"))
defineProperty("parkbrake", globalPropertyf("sim/flightmodel/controls/parkbrake"))

defineProperty("Pod", globalPropertyi("sim/aircraft/prop/acf_part_eq[59]"))

defineProperty("total_time", globalPropertyf("sim/time/total_flight_time_sec")) -- flight sim time

defineProperty("BaggageDoor", globalPropertyi("sim/cockpit2/switches/custom_slider_on[23]"))
defineProperty("PilotDoor", globalPropertyi("sim/cockpit2/switches/custom_slider_on[0]"))
defineProperty("CopilotDoor", globalPropertyi("sim/cockpit2/switches/custom_slider_on[1]"))


defineProperty("WindowRefl", globalPropertyi("com/dkmp/windowrefl"))
defineProperty("static", globalPropertyi("com/dkmp/staticelements"))
--defineProperty("PassengerDoors", globalPropertyi("sim/cockpit2/switches/custom_slider_on[1]"))
defineProperty("Fairings", globalPropertyi("sim/cockpit2/switches/custom_slider_on[10]"))
defineProperty("Tundra", globalPropertyi("com/dkmp/Tundra"))
defineProperty("CargoPod", globalPropertyi("com/dkmp/CargoPod"))
defineProperty("DoorWindow", globalPropertyi("com/dkmp/DoorWindow"))
defineProperty("Float", globalPropertyi("com/dkmp/Float"))
defineProperty("Amphib", globalPropertyi("com/dkmp/Amphib"))
defineProperty("Ski", globalPropertyi("com/dkmp/Ski"))
defineProperty("TWLWR", globalPropertyf("com/dkmp/TWLWR"))


defineProperty("TireRadiusL", globalPropertyf("sim/aircraft/parts/acf_gear_tirrad[1]"))
defineProperty("TireRadiusR", globalPropertyf("sim/aircraft/parts/acf_gear_tirrad[2]"))

defineProperty("WaterRudder", globalPropertyf("sim/cockpit2/controls/water_rudder_handle_ratio"))

defineProperty("TailLock", globalPropertyf("sim/flightmodel/controls/tail_lock_rat"))

--defineProperty("selected", loadImage("selected.png")) 



defineProperty("options_bg", loadImage("options_bg.png")) 
defineProperty("digitsImageD", loadImage("dark_digits.png", 3, 0, 10, 196))

defineProperty("Button", loadImage("Button.png", 0, 0, 40, 20)) 



-------------------------------------------------------------------------------
-------------------------------------------------------------------------------


--function update()



--	local Fairings_on = get(Fairings)


	local filename = panelDir .. "/Config.txt"
	local file = io.open(filename, "r")

	
	

		
	if file then
	
	
		while true do
			local line = file:read("*line")
			if line == nil then break end
			if string.find(line, "#Fairings") then
				Fairings_on = tonumber(string.sub(line, 10))
	
	
	
	
			end
		end

		

    set(Fairings, 	Fairings_on)

	

	file:close()    
    		
    end

--end

		

function WriteToText ()



					local filename = panelDir .. "/Config.txt"
					local file = io.open(filename, "w")
					file:write("#\n  DO NOT MODIFY THIS FILE!\n###########################\n")
					file:write("#Fairings" .. get(Fairings) .. "\n" )
					file:close()

end



-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
components = {



textureLit {
position = {0, 0, size[1], size[2]};
image = get(options_bg);
};



--Baggage Door Switch
----------------------------------------------------------

switch {
        position = {30, 233, 50, 50};
        state = function () return 1 == get(PilotDoor); end;
        onMouseDown = function ()
            if 1 == get(PilotDoor)  then
                set(PilotDoor, 0)         
            else
                set(PilotDoor, 1)       
    	     end
            return true
        end;
        btnOn = get(Button);
    };
    
--Window Reflections
----------------------------------------------------------    


    switch {
        position = {30, 178, 50, 50};
        state = function () return 1 == get(CopilotDoor); end;
        onMouseDown = function ()
       
            if 1 == get(CopilotDoor)  then
                set(CopilotDoor, 0)         
            else
                set(CopilotDoor, 1)       
    	     end
            return true

        end;
        btnOn = get(Button);
    };
    


  
     --Static Elements
----------------------------------------------------------    
    switch {
        position = {30, 121, 50, 50};
     state = function () return 1 == get(static); end;
        onMouseDown = function ()
		 if get(engine_running) == 0 and get(parkbrake) > 0 then
            if 1 == get(static)  then
                set(static, 0)         
            else
                set(static, 1)       
    	     end
            return true
        end;
        end;
        btnOn = get(Button);

    };
 
      --CargoPod
----------------------------------------------------------    
    switch {
        position = {30, 63, 50, 50};
        state = function () return 0 == get(Fairings); end;
        onMouseDown = function ()
            if 1 == get(Fairings)  then
                set(Fairings, 0)
				WriteToText()
            else
                set(Fairings, 1)
				WriteToText()
    	     end
            return true
        end;
        btnOn = get(Button);
    }; 
    
    
 --Window Reflections
----------------------------------------------------------    


    switch {
        position = {238, 233, 50, 50};
        state = function () return 1 == get(WindowRefl); end;
        onMouseDown = function ()
       
            if 1 == get(WindowRefl)  then
                set(WindowRefl, 0)         
            else
                set(WindowRefl, 1)       
    	     end
            return true

        end;
        btnOn = get(Button);
    };
    

   
         switch {        position = {30, 3, 50, 50};        state = function () return 1 == get(scrollWh); end;
        onMouseDown = function ()            if get(usescroll) == get(scrollWh)   then        set(scrollWh, 0)    else    set(scrollWh, 1)  end   return true    end;     btnOn = get(Button);       };
----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------  

	
	
}