
--X-Plane and SASL volume controls
defineProperty("mastervol", globalPropertyf("com/dkmp/mastervol"))
defineProperty("mastervolknob", globalPropertyf("com/dkmp/mastervolknob"))

defineProperty("XPsound", globalPropertyf("sim/operation/sound/sound_on"))
defineProperty("volume", globalPropertyf("volumeX"))
defineProperty("pause", globalPropertyf("sim/time/paused"))


defineProperty("RAlt", globalPropertyf("sim/cockpit2/gauges/indicators/radio_altimeter_height_ft_pilot")) -- the last time the plane was on the ground
defineProperty("Gforce", globalPropertyf("sim/flightmodel2/misc/gforce_normal"))

defineProperty("tireF", globalPropertyf("sim/flightmodel/parts/tire_rotation_angle_deg[0]"))
defineProperty("tireL", globalPropertyf("sim/flightmodel/parts/tire_rotation_angle_deg[2]"))
defineProperty("tireR", globalPropertyf("sim/flightmodel/parts/tire_rotation_angle_deg[1]"))


defineProperty("tireFn", globalPropertyf("sim/flightmodel/parts/tire_speed_term[0]"))
defineProperty("tireLn", globalPropertyf("sim/flightmodel/parts/tire_speed_term[2]"))
defineProperty("tireRn", globalPropertyf("sim/flightmodel/parts/tire_speed_term[1]"))

defineProperty("tireFd", globalPropertyf("sim/flightmodel2/gear/tire_vertical_deflection_mtr[0]"))
defineProperty("tireLd", globalPropertyf("sim/flightmodel2/gear/tire_vertical_deflection_mtr[2]"))
defineProperty("tireRd", globalPropertyf("sim/flightmodel2/gear/tire_vertical_deflection_mtr[1]"))



-- Windows or Doors that are open, thus affecting outside sounds coming in.

defineProperty("PilotDoor", globalPropertyf("sim/flightmodel2/misc/custom_slider_ratio[0]"))
defineProperty("CoPilotDoor", globalPropertyf("sim/flightmodel2/misc/custom_slider_ratio[1]"))
defineProperty("PilotWindow", globalPropertyf("sim/flightmodel2/misc/custom_slider_ratio[2]"))
defineProperty("CoPilotWindow", globalPropertyf("sim/flightmodel2/misc/custom_slider_ratio[3]"))
defineProperty("LRDoor", globalPropertyf("sim/flightmodel2/misc/custom_slider_ratio[4]"))
defineProperty("RRDoor", globalPropertyf("sim/flightmodel2/misc/custom_slider_ratio[5]"))



--Camera positions and angles
defineProperty("view", globalPropertyi("sim/graphics/view/view_is_external"))
defineProperty("viewX", globalPropertyf("sim/graphics/view/view_x"))
defineProperty("viewY", globalPropertyf("sim/graphics/view/view_y"))
defineProperty("viewZ", globalPropertyf("sim/graphics/view/view_z"))
defineProperty("viewHDG", globalPropertyf("sim/graphics/view/view_heading"))
defineProperty("viewPITCH", globalPropertyf("sim/graphics/view/view_pitch"))

defineProperty("PilotsHeadX", globalPropertyf("sim/graphics/view/pilots_head_x"))
defineProperty("PilotsHeadY", globalPropertyf("sim/graphics/view/pilots_head_y"))
defineProperty("PilotsHeadZ", globalPropertyf("sim/graphics/view/pilots_head_z"))

defineProperty("hidepilot", globalPropertyi("com/dkmp/hidepilot"))

--Sound Sources
defineProperty("N1", globalPropertyf("sim/cockpit2/engine/indicators/N1_percent[0]"))
defineProperty("PropRPM", globalPropertyf("sim/cockpit2/engine/indicators/prop_speed_rpm[0]"))
defineProperty("mixture", globalPropertyf("sim/cockpit2/engine/actuators/mixture_ratio[0]"))

defineProperty("MPL", globalPropertyf("sim/cockpit2/engine/indicators/MPR_in_hg[0]"))

defineProperty("prop_mode", globalPropertyf("sim/cockpit2/engine/actuators/prop_mode[0]"))

defineProperty("battery_on", globalPropertyi("sim/cockpit/electrical/battery_on"))  -- ON/OFF main battery

defineProperty("igniter", globalPropertyf("sim/cockpit2/engine/actuators/igniter_on[0]"))
defineProperty("ignition_key", globalPropertyi("sim/cockpit2/engine/actuators/ignition_key[0]"))


--Aircraft Positions and angles
defineProperty("acfposX", globalPropertyf("sim/flightmodel/position/local_x"))
defineProperty("acfposY", globalPropertyf("sim/flightmodel/position/local_y"))
defineProperty("acfposZ", globalPropertyf("sim/flightmodel/position/local_z"))
defineProperty("acfpitch", globalPropertyf("sim/flightmodel/position/theta"))
defineProperty("acfyaw", globalPropertyf("sim/flightmodel/position/psi"))
defineProperty("acfroll", globalPropertyf("sim/flightmodel/position/phi"))

defineProperty("dist", globalPropertyf("com/dkmp/distL"))

defineProperty("sim_speed", globalPropertyi("sim/time/sim_speed"))
defineProperty("frame_rate_period", globalPropertyf("sim/operation/misc/frame_rate_period"))

defineProperty("FN", globalPropertyf("frame_number")) -- flight time
defineProperty("frame_time", globalPropertyf("frame_time"))

defineProperty("SoundDir", globalPropertyf("com/dkmp/SoundDir"))

defineProperty("SoundFB", globalPropertyf("com/dkmp/SoundFB"))
defineProperty("SoundLR", globalPropertyf("com/dkmp/SoundLR"))


defineProperty("time", globalPropertyf("sim/time/total_flight_time_sec"))

defineProperty("timer", globalPropertyf("com/dkmp/timer"))

--rpm1  = loadSample('sounds/rpm1.wav')






SparkL = loadSample('sounds/SparkExtL.wav')
SparkR = loadSample('sounds/SparkExtR.wav')

--StartL = loadSample('sounds/StartL.wav')
--StartR = loadSample('sounds/StartR.wav')

IgnitionL = loadSample('sounds/IgnitionL.wav')
IgnitionR = loadSample('sounds/IgnitionR.wav')

SparkiL = loadSample('sounds/SparkIntL.wav')
SparkiR = loadSample('sounds/SparkIntR.wav')

--StartiL = loadSample('sounds/StartIntL.wav')
--StartiR = loadSample('sounds/StartIntR.wav')

IgnitioniL = loadSample('sounds/IgnitionIntL.wav')
IgnitioniR = loadSample('sounds/IgnitionIntR.wav')

falsestartL = loadSample('sounds/falsestartL.wav')
falsestartR = loadSample('sounds/falsestartR.wav')

xfalsestartL = loadSample('sounds/xfalsestartL.wav')
xfalsestartR = loadSample('sounds/xfalsestartR.wav')


-- four speeds of engine sound, outside, from front
prop  = loadSample('sounds/prop.wav')

prop1aL  = loadSample('sounds/prop1aL.wav')
prop1aR  = loadSample('sounds/prop1aR.wav')

prop2aL  = loadSample('sounds/prop2aL.wav')
prop2aR  = loadSample('sounds/prop2aR.wav')

prop3aL  = loadSample('sounds/prop3aL.wav')
prop3aR  = loadSample('sounds/prop3aR.wav')

prop4aL  = loadSample('sounds/prop4aL.wav')
prop4aR  = loadSample('sounds/prop4aR.wav')

-- four speeds of engine sound, outside, from behind

prop1bL  = loadSample('sounds/prop1bL.wav')
prop1bR  = loadSample('sounds/prop1bR.wav')

prop2bL  = loadSample('sounds/prop2bL.wav')
prop2bR  = loadSample('sounds/prop2bR.wav')

prop3bL  = loadSample('sounds/prop3bL.wav')
prop3bR  = loadSample('sounds/prop3bR.wav')

prop4bL  = loadSample('sounds/prop4bL.wav')
prop4bR  = loadSample('sounds/prop4bR.wav')

-- four speeds of engine sound, outside, from inside

prop1iL  = loadSample('sounds/prop1iL.wav')
prop1iR  = loadSample('sounds/prop1iR.wav')

prop2iL  = loadSample('sounds/prop2iL.wav')
prop2iR  = loadSample('sounds/prop2iR.wav')

prop3iL  = loadSample('sounds/prop3iL.wav')
prop3iR  = loadSample('sounds/prop3iR.wav')

prop4iL  = loadSample('sounds/prop4iL.wav')
prop4iR  = loadSample('sounds/prop4iR.wav')


--Shutdown sounds

shutdownL  = loadSample('sounds/shutdownL.wav')
shutdownR  = loadSample('sounds/shutdownR.wav')

xshutdownL  = loadSample('sounds/xshutdownL.wav')
xshutdownR  = loadSample('sounds/xshutdownR.wav')


BEE  = loadSample('sounds/BEE.wav')
inBEE  = loadSample('sounds/inBEE.wav')
--prop  = loadSample('sounds/prop.wav')

openwindow  = loadSample('sounds/openwindow.wav')
closewindow  = loadSample('sounds/closewindow.wav')

opendoor  = loadSample('sounds/opendoor.wav')
closedoor  = loadSample('sounds/closedoor.wav')



	setSampleGain(prop1aL, 0)
	setSampleGain(prop1aR, 0)	
	setSampleGain(prop1bL, 0)	
	setSampleGain(prop1bR, 0)
	
	setSampleGain(prop1iL, 0)
	setSampleGain(prop1iR, 0)	
	
	
	setSampleGain(prop2aL, 0)	
	setSampleGain(prop2aR, 0)	
	setSampleGain(prop2bL, 0)	
	setSampleGain(prop2bR, 0)
	
	setSampleGain(prop2iL, 0)	
	setSampleGain(prop2iR, 0)	
	
	
	setSampleGain(prop3aL, 0)
	setSampleGain(prop3aR, 0)	
	setSampleGain(prop3bL, 0)	
	setSampleGain(prop3bR, 0)
	
	setSampleGain(prop3iL, 0)
	setSampleGain(prop3iR, 0)	
	
	
	setSampleGain(prop4aL, 0)	
	setSampleGain(prop4aR, 0)	
	setSampleGain(prop4bL, 0)	
	setSampleGain(prop4bR, 0)
	
	setSampleGain(prop4iL, 0)	
	setSampleGain(prop4iR, 0)	
	
	setSampleGain(BEE, 0)	
	setSampleGain(inBEE, 0)	
	setSampleGain(prop, 0)	

	setSampleGain(SparkL, 0)
	setSampleGain(SparkR, 0)	


	setSampleGain(IgnitionL, 0)	
	setSampleGain(IgnitionR, 0)	
	
	setSampleGain(SparkiL, 0)
	setSampleGain(SparkiR, 0)	


	setSampleGain(IgnitioniL, 0)	
	setSampleGain(IgnitioniR, 0)	
	




view_old = get(view_is_external)
dist_old = get(dist)
view_old = get(view)

function update()

--Prepare the value for "V" (Volume)
if get(time) > 1 and get(sim_speed) >= 1 or get(replay_mode) > 5 then  V = get(mastervolknob) * get(XPsound) *(1- math.abs(view_old - get(view)))   else  V = 0   end



FT = get(frame_time)



Dx = (math.abs(get(viewX)) - math.abs(get(acfposX)))
Dy = (math.abs(get(viewY)) - math.abs(get(acfposY)))
Dz = (math.abs(get(viewZ)) - math.abs(get(acfposZ)))


--Prepare the value for "D" (Distance from camera to ACF)




D=   math.sqrt((Dx)^2 + (Dy)^2  + (Dz)^2)

if D > 1500 then
Dinv = 0
else
Dinv = ((2500 / math.sqrt(D))-40)
end

set(dist, D)

--Prepare value for "Z" (rotation of camera relative to plane)
Z= (get(viewHDG)) - (get(acfyaw))


--Set sound direction equal to "Z"

set(SoundDir, Z)


--Convert Z value to radians, then take the negative cosine of the result to set front/back sound volume


set(SoundFB, -math.cos(math.rad(Z))/3)

--Convert Z value to radians, then take the sine of the result to set left/right sound volume
set(SoundLR, math.sin(math.rad(Z))/3)



-- Set idle RPM Prop volume value

if get(PropRPM) > 300 and get(PropRPM) < 1800 then
RpI = math.cos((get(PropRPM)-1000)/500)
else
RpI = 0
end

if get(PropRPM) > 1000 and get(PropRPM) < 2000 then
RpL = math.cos((get(PropRPM)-1500)/300)
else
RpL = 0
end

if get(PropRPM) > 1500 and get(PropRPM) < 2500 then
RpM = math.cos((get(PropRPM)-2000)/300)
else
RpM = 0
end

if get(PropRPM) > 1900 and get(PropRPM) < 2700 then
RpH = math.cos((get(PropRPM)-2600)/400)*2
else
RpH = 0
end

if get(PropRPM) >= 2700 then
RpH = 1.7
end

		m = 0.3

		n=1

--Set sample gain of different sound waves, based on position, distance, volumes, etc.

if get(hidepilot) == 0 then

--over G force sounds



--External Spark, Start, Ignition sounds

--Spark gain
	setSampleGain(SparkL, (1+get(SoundLR))*Dinv*V)
	setSampleGain(SparkR, (1-get(SoundLR))*Dinv*V)
	
	setSampleGain(SparkiL, 0)
	setSampleGain(SparkiR, 0)	

	setSampleGain(IgnitionL, (1+get(SoundLR))*Dinv*V)
	setSampleGain(IgnitionR, (1-get(SoundLR))*Dinv*V)

	setSampleGain(IgnitioniL, 0)
	setSampleGain(IgnitioniR, 0)


--EXTERNAL prop sounds

--Idle RPM Prop Sounds
	setSampleGain(prop1aL,  (get(SoundFB)+get(SoundLR)+1.5)*Dinv*V*RpI*m)
	setSampleGain(prop1aR,  (get(SoundFB)-get(SoundLR)+1.5)*Dinv*V*RpI*m)	
	setSampleGain(prop1bL, (-get(SoundFB)+get(SoundLR)+1.5)*Dinv*V*RpI*m)	
	setSampleGain(prop1bR, (-get(SoundFB)-get(SoundLR)+1.5)*Dinv*V*RpI*m)


--Low RPM Prop Sounds
	setSampleGain(prop2aL,  (get(SoundFB)+get(SoundLR)+1.5)*Dinv*V*RpL*m)
	setSampleGain(prop2aR,  (get(SoundFB)-get(SoundLR)+1.5)*Dinv*V*RpL*m)	
	setSampleGain(prop2bL, (-get(SoundFB)+get(SoundLR)+1.5)*Dinv*V*RpL*m)	
	setSampleGain(prop2bR, (-get(SoundFB)-get(SoundLR)+1.5)*Dinv*V*RpL*m)


--Medium RPM Prop Sounds
	setSampleGain(prop3aL,  (get(SoundFB)+get(SoundLR)+1.9)*Dinv*V*RpM*m)
	setSampleGain(prop3aR,  (get(SoundFB)-get(SoundLR)+1.9)*Dinv*V*RpM*m)	
	setSampleGain(prop3bL, (-get(SoundFB)+get(SoundLR)+1.9)*Dinv*V*RpM*m)	
	setSampleGain(prop3bR, (-get(SoundFB)-get(SoundLR)+1.9)*Dinv*V*RpM*m)

--High RPM Prop Sounds
	setSampleGain(prop4aL,  (get(SoundFB)+get(SoundLR)+1.5)*Dinv*V*RpH*m)	
	setSampleGain(prop4aR,  (get(SoundFB)-get(SoundLR)+1.5)*Dinv*V*RpH*m)	
	setSampleGain(prop4bL, (-get(SoundFB)+get(SoundLR)+1.5)*Dinv*V*RpH*m)	
	setSampleGain(prop4bR, (-get(SoundFB)-get(SoundLR)+1.5)*Dinv*V*RpH*m)

	setSampleGain(prop, (get(SoundFB)+get(SoundLR)+2.5)*Dinv*V*RpI*2)	
	setSampleGain(BEE, (get(SoundFB)+get(SoundLR)+1.5)*Dinv*V*RpH*0.1)	

--INTERNAL prop sounds
--Idle RPM Prop Sounds

	setSampleGain(prop1iL, 0)
	setSampleGain(prop1iR, 0)	
--Low RPM Prop Sounds

	setSampleGain(prop2iL, 0)
	setSampleGain(prop2iR, 0)	

--Medium RPM Prop Sounds

	setSampleGain(prop3iL, 0)
	setSampleGain(prop3iR, 0)
	
--High RPM Prop Sounds
	setSampleGain(prop4iL, 0)	
	setSampleGain(prop4iR, 0)	
	
	
	setSampleGain(inBEE, 0)	


elseif get(hidepilot) == 1  then
	
	



		Dr = ((get(PilotWindow)*200)+(get(PilotDoor)*400))
		CD = ((get(CoPilotDoor)*200)+(get(CoPilotDoor)*400))
		MP = 1


		--Spark gain
		setSampleGain(SparkL, (1+get(SoundLR))*Dr*V)
		setSampleGain(SparkR, (1-get(SoundLR))*CD*V)
		
		setSampleGain(SparkiL, (1+get(SoundLR))*V*400)
		setSampleGain(SparkiR, (1-get(SoundLR))*V*400)
		
		setSampleGain(IgnitionL, (1+get(SoundLR))*Dr*V)
		setSampleGain(IgnitionR, (1-get(SoundLR))*CD*V)
		
		
		setSampleGain(IgnitioniL, (1+get(SoundLR))*V*400)
		setSampleGain(IgnitioniR, (1-get(SoundLR))*V*400)

--External prop sounds

		--Idle RPM Prop Sounds
			setSampleGain(prop1aL, 	(get(SoundFB)+get(SoundLR)+0.6)*Dr*V*RpI)
			setSampleGain(prop1aR, 	(get(SoundFB)-get(SoundLR)+0.6)*CD*V*RpI)	
			setSampleGain(prop1bL, (-get(SoundFB)+get(SoundLR)+0.6)*Dr*V*RpI)	
			setSampleGain(prop1bR, (-get(SoundFB)-get(SoundLR)+0.6)*CD*V*RpI)
			
		--Low RPM Prop Sounds
			setSampleGain(prop2aL,  (get(SoundFB)+get(SoundLR)+0.6)*Dr*V*RpL)
			setSampleGain(prop2aR,  (get(SoundFB)-get(SoundLR)+0.6)*CD*V*RpL)	
			setSampleGain(prop2bL, (-get(SoundFB)+get(SoundLR)+0.6)*Dr*V*RpL)	
			setSampleGain(prop2bR, (-get(SoundFB)-get(SoundLR)+0.6)*CD*V*RpL)

			
		--Medium RPM Prop Sounds
			setSampleGain(prop3aL,  (get(SoundFB)+get(SoundLR)+0.9)*Dr*V*RpM)
			setSampleGain(prop3aR,  (get(SoundFB)-get(SoundLR)+0.9)*CD*V*RpM)	
			setSampleGain(prop3bL, (-get(SoundFB)+get(SoundLR)+0.9)*Dr*V*RpM)	
			setSampleGain(prop3bR, (-get(SoundFB)-get(SoundLR)+0.9)*CD*V*RpM)
			
			
		--High RPM Prop Sounds
			setSampleGain(prop4aL,  (get(SoundFB)+get(SoundLR)+0.6)*Dr*V*MP*RpH)	
			setSampleGain(prop4aR,  (get(SoundFB)-get(SoundLR)+0.6)*CD*V*MP*RpH)	
			setSampleGain(prop4bL, (-get(SoundFB)+get(SoundLR)+0.6)*Dr*V*MP*RpH)	
			setSampleGain(prop4bR, (-get(SoundFB)-get(SoundLR)+0.6)*CD*V*MP*RpH)
		
			setSampleGain(prop, Dr*CD*V*MP*RpI)
			setSampleGain(BEE, Dr*CD*V*MP*RpH)

--INTERNAL prop sounds

--Idle RPM Prop Sounds

	setSampleGain(prop1iL, (n+get(SoundLR))*V*RpI*400)
	setSampleGain(prop1iR, (n-get(SoundLR))*V*RpI*400)	
	
--Low RPM Prop Sounds

	setSampleGain(prop2iL, (n+get(SoundLR))*V*RpL*400)
	setSampleGain(prop2iR, (n-get(SoundLR))*V*RpL*400)	

--Medium RPM Prop Sounds

	setSampleGain(prop3iL, (n+get(SoundLR))*V*MP*RpM*400)
	setSampleGain(prop3iR, (n-get(SoundLR))*V*MP*RpM*400)	
	
--High RPM Prop Sounds
	setSampleGain(prop4iL, (n+get(SoundLR))*V*MP*RpH*400)	
	setSampleGain(prop4iR, (n-get(SoundLR))*V*MP*RpH*400)	
	
	setSampleGain(inBEE, (n+get(SoundLR))*V*MP*RpH*400)	
	

end	



--Calculate Doppler effect (Change of pitch depending on whether approaching or leaving reference point.)
local Dp= (1 + math.max(-0.5, math.min(0.5,  ((dist_old - get(dist))*0.07)  )) )*1200
P= get(PropRPM)*0.00052
E= get(N1)*0.008
C=2.2
--Set sample pitch


setSamplePitch(SparkL, 760 + get(PropRPM)*0.4)
setSamplePitch(SparkR, 760 + get(PropRPM)*0.4)

setSamplePitch(SparkiL, 760 + get(PropRPM)*0.4)
setSamplePitch(SparkiR, 760 + get(PropRPM)*0.4)

--setSamplePitch(StartL, 700)
--setSamplePitch(StartR, 700)


setSamplePitch(IgnitionL, 660 + get(PropRPM)*0.4)
setSamplePitch(IgnitionR, 660 + get(PropRPM)*0.4)

setSamplePitch(IgnitioniL, 660 + get(PropRPM)*0.4)
setSamplePitch(IgnitioniR, 660 + get(PropRPM)*0.4)


--EXTERNAL sounds pitch

--Idle RPM Prop Pitch
	setSamplePitch(prop1aL, Dp*P*C*0.6+370)	
	setSamplePitch(prop1aR, Dp*P*C*0.6+370)	
	setSamplePitch(prop1bL, Dp*P*C*0.6+370)			
	setSamplePitch(prop1bR, Dp*P*C*0.6+370)	
	
--Low RPM Prop Pitch
	setSamplePitch(prop2aL, Dp*P*C*0.6-120)	
	setSamplePitch(prop2aR, Dp*P*C*0.6-120)	
	setSamplePitch(prop2bL, Dp*P*C*0.6-120)	
	setSamplePitch(prop2bR, Dp*P*C*0.6-120)	
	
--Med RPM Prop Pitch
	setSamplePitch(prop3aL, Dp*P*C*0.26+280)	
	setSamplePitch(prop3aR, Dp*P*C*0.26+280)
	setSamplePitch(prop3bL, Dp*P*C*0.26+280)	
	setSamplePitch(prop3bR, Dp*P*C*0.26+280)
	
--High RPM Prop Pitch
	setSamplePitch(prop4aL, Dp*P*C*0.23+280)	
	setSamplePitch(prop4aR, Dp*P*C*0.23+280)	
	setSamplePitch(prop4bL, Dp*P*C*0.23+280)	
	setSamplePitch(prop4bR, Dp*P*C*0.23+280)	

	setSamplePitch(BEE, Dp*P*C*0.144+320)
	setSamplePitch(prop, Dp*P*C*0.4+620)

--INTERNAL SOUNDS pitch

--Idle RPM Prop Pitch
	setSamplePitch(prop1iL, Dp*P*C*0.6+360)	
	setSamplePitch(prop1iR, Dp*P*C*0.6+360)	

--Low RPM Prop Pitch
	setSamplePitch(prop2iL, Dp*P*C*0.6-120)	
	setSamplePitch(prop2iR, Dp*P*C*0.6-120)	
	
--Medium RPM Prop Pitch
	setSamplePitch(prop3iL, Dp*P*C*0.29+390)	
	setSamplePitch(prop3iR, Dp*P*C*0.29+390)	

	
--High RPM Prop Pitch
	setSamplePitch(prop4iL, Dp*P*C*0.23+380)	
	setSamplePitch(prop4iR, Dp*P*C*0.23+380)	

	setSamplePitch(inBEE, Dp*P*C*0.144+320)	







if  get(ignition_key) == 4  and get(battery_on) == 1 and get(PropRPM) < 340 then
	if isSamplePlaying(SparkL) == false then
	playSample(SparkL, 1)
	end

	if isSamplePlaying(SparkR) == false then
	playSample(SparkR, 1)
	end
	
	

	if isSamplePlaying(SparkiL) == false then
	playSample(SparkiL, 1)
	end

	if isSamplePlaying(SparkiR) == false then
	playSample(SparkiR, 1)
	end
	

	
	elseif get(PropRPM) > 340 and get(mixture) < 0.46 then
	if isSamplePlaying(SparkL) == false then
	playSample(SparkL, 1)
	end

	if isSamplePlaying(SparkR) == false then
	playSample(SparkR, 1)
	end
	
	

	if isSamplePlaying(SparkiL) == false then
	playSample(SparkiL, 1)
	end

	if isSamplePlaying(SparkiR) == false then
	playSample(SparkiR, 1)
	end
	
	else
	
	stopSample(SparkL)
	stopSample(SparkR)
	
	stopSample(SparkiL)
	stopSample(SparkiR)


end

if  get(ignition_key) == 4  and get(battery_on) == 1 and get(PropRPM) > 340 and get(mixture) > 0.46 then		
	if isSamplePlaying(IgnitionL) == false then	playSample(IgnitionL, 0) end
	if isSamplePlaying(IgnitionR) == false then	playSample(IgnitionR, 0) end
	
	if isSamplePlaying(IgnitioniL) == false then	playSample(IgnitioniL, 0) end
	if isSamplePlaying(IgnitioniR) == false then	playSample(IgnitioniR, 0) end


end



--EXTERNAL SOUNDS


--Idle RPM Prop Sounds playing
if isSamplePlaying(prop1aL) == false  then playSample(prop1aL, 1) end
if isSamplePlaying(prop1aR) == false  then	playSample(prop1aR, 1) end
if isSamplePlaying(prop1bL) == false  then	playSample(prop1bL, 1) end
if isSamplePlaying(prop1bR) == false  then	playSample(prop1bR, 1) end

--Low RPM Prop Sounds playing
if isSamplePlaying(prop2aL) == false  then playSample(prop2aL, 1) end
if isSamplePlaying(prop2aR) == false  then	playSample(prop2aR, 1) end
if isSamplePlaying(prop2bL) == false  then	playSample(prop2bL, 1) end
if isSamplePlaying(prop2bR) == false  then	playSample(prop2bR, 1) end

--Mid RPM Prop Sounds playing
if isSamplePlaying(prop3aL) == false  then playSample(prop3aL, 1) end
if isSamplePlaying(prop3aR) == false  then	playSample(prop3aR, 1) end
if isSamplePlaying(prop3bL) == false  then	playSample(prop3bL, 1) end
if isSamplePlaying(prop3bR) == false  then	playSample(prop3bR, 1) end


--High RPM Prop Sounds playing
if isSamplePlaying(prop4aL) == false  then 	playSample(prop4aL, 1) end
if isSamplePlaying(prop4aR) == false  then 	playSample(prop4aR, 1) end
if isSamplePlaying(prop4bL) == false  then 	playSample(prop4bL, 1) end
if isSamplePlaying(prop4bR) == false  then 	playSample(prop4bR, 1) end


--INTERNAL SOUNDS

--Internal idle RPM Prop Sounds playing
if isSamplePlaying(prop1iL) == false  then playSample(prop1iL, 1) end
if isSamplePlaying(prop1iR) == false  then	playSample(prop1iR, 1) end


--Internal Low RPM Prop Sounds playing
if isSamplePlaying(prop2iL) == false  then playSample(prop2iL, 1) end
if isSamplePlaying(prop2iR) == false  then	playSample(prop2iR, 1) end

--Internal Mid RPM Prop Sounds playing
if isSamplePlaying(prop3iL) == false  then playSample(prop3iL, 1) end
if isSamplePlaying(prop3iR) == false  then	playSample(prop3iR, 1) end

--High RPM Prop Sounds playing
if isSamplePlaying(prop4iL) == false  then 	playSample(prop4iL, 1) end
if isSamplePlaying(prop4iR) == false  then 	playSample(prop4iR, 1) end


if isSamplePlaying(prop) == false  then 	playSample(prop, 1) end

if isSamplePlaying(BEE) == false  then 	playSample(BEE, 1) end

if isSamplePlaying(inBEE) == false  then 	playSample(inBEE, 1) end


dist_old = get(dist)
view_old = get(view)

end


