-- Views Panel

size = { 500, 500 }
defineProperty("FN", globalPropertyf("frame_number")) -- flight time

defineProperty("X", globalPropertyf("sim/graphics/view/pilots_head_x"))
defineProperty("Y", globalPropertyf("sim/graphics/view/pilots_head_y"))
defineProperty("Z", globalPropertyf("sim/graphics/view/pilots_head_z"))
defineProperty("psiSim", globalPropertyf("sim/graphics/view/pilots_head_psi"))
defineProperty("psi", globalPropertyf("com/dkmp/Psi"))

defineProperty("theta", globalPropertyf("sim/graphics/view/pilots_head_the"))
defineProperty("BaggageDoor", globalPropertyf("sim/cockpit2/switches/custom_slider_on[3]"))
defineProperty("CG", globalPropertyf("sim/aircraft/weight/acf_cgZ_original"))

defineProperty("ext_view", globalPropertyi("sim/graphics/view/view_is_external"))

defineProperty("FOV", globalPropertyf("sim/graphics/view/field_of_view_deg"))
defineProperty("ground_speed", globalPropertyf("sim/flightmodel/position/groundspeed")) -- true airspeed of the plane
defineProperty("hidepilot", globalPropertyi("com/dkmp/hidepilot"))
defineProperty("Mute",              loadImage("Mute.png")) 
defineProperty("MuteRed",           loadImage("MuteRed.png")) 

defineProperty("V1", globalPropertyf("com/dkmp/View1"))
defineProperty("V2", globalPropertyf("com/dkmp/View2"))
defineProperty("V3", globalPropertyf("com/dkmp/View3"))
defineProperty("V4", globalPropertyf("com/dkmp/View4"))
defineProperty("V5", globalPropertyf("com/dkmp/View5"))
defineProperty("V6", globalPropertyf("com/dkmp/View6"))
defineProperty("V7", globalPropertyf("com/dkmp/View7"))
defineProperty("V8", globalPropertyf("com/dkmp/View8"))
defineProperty("V9", globalPropertyf("com/dkmp/View9"))
defineProperty("V10", globalPropertyf("com/dkmp/View10"))

defineProperty("mastervolknob", globalPropertyf("com/dkmp/mastervolknob"))
defineProperty("PointerV",          loadImage("PointerV.png")) 


defineProperty("ViewsBG", loadImage("Cameras-1.png", 5, 5, 1022, 509)) 
defineProperty("digitsImageD", loadImage("dark_digits.png", 3, 0, 10, 196))

defineProperty("Button", loadImage("Button.png", 0, 0, 40, 20)) 
defineProperty("Pointer", loadImage("Pointer.png", -20, 0, 244, 58)) 

local vcg = 0.0   *0.3048

local C={X,Y,Z,psi,theta}
local Ck={X,Y,Z,psiSim,theta}

local zoom=2
local flag=0
local s=3
local t = 0.92
local E={0,0,0+(get(CG)*0.3048), 0, 0}
local  O={-0.3048, 0.47244, -0.3048-(get(CG)*0.3048), 0, 0}
							 --0.365760  so... 1 ft GC movement = 0.30476 so... pilots head coordinates in metric

local E1={ -0.213360, 	0.51816-vcg,   -0.305   	-(get(CG)*0.3048), 		 0,    		0     }
local E2={ 0.060,     	0.2213-vcg,    -0.475   	-(get(CG)*0.3048), 		 0,    		-18   }
local E3={ 0.0,       	0.50-vcg,      -0.25    	-(get(CG)*0.3048), 		 0,    		-65   }
local E4={ -5.0,      	0.6-vcg,       -0.3     	-(get(CG)*0.3048), 		 100,  		10    }
local E5={ 0.0,       	1.73-vcg,      3.84     	-(get(CG)*0.3048), 		 0,    		-4    }
local E6={ 0.213360,  	0.51816-vcg,   -0.305   	-(get(CG)*0.3048), 		 0,    		0     }
local E7={ 0.05,      	0.32-vcg,      -0.44    	-(get(CG)*0.3048), 		 0,    		-5    }
local E8={ 0,         	0.45-vcg,      0.6      	-(get(CG)*0.3048), 		 0,    		0     }
local E9={ 5.0,       	0.6-vcg,       -0.3     	-(get(CG)*0.3048), 		 -100, 		10    }
local E10={ 0,        	-0.41-vcg,     1.54     	-(get(CG)*0.3048), 		 0,    		5     }		

-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
mastervolknob_old = get(mastervolknob)
engine_volume_ratio_old = get(engine_volume_ratio)
function update()

if get(X) > 0.444 or get(X) < -0.444 or get(Y) > 0.85  or get(Z) < -1.1 or get(Z) > 2.2 or get(ext_view) == 1 then
set(hidepilot, 0)
else
set(hidepilot, 1)
end



if get(V1) > 0.1 or get(V2) > 0.1 or get(V3) > 0.1 or get(V4) > 0.1 or get(V5) > 0.1 or get(V6) > 0.1 or get(V7) > 0.1 
or get(V8) > 0.1 or get(V9) > 0.1 or get(V10) > 0.1 then
		set(psiSim, (get(psi)))
	elseif get(psiSim) > 180 then
	set(psi, get(psiSim)-360)
	else
	set(psi, get(psiSim))
end	



	local DISTe = (get(X)-E[1])^2+(get(Y)-E[2])^2+(get(Z)-E[3])^2+((get(psi)+E[4])^2)+(get(theta)-E[5])^2
	local DISTo = (get(X)-O[1])^2+(get(Y)-O[2])^2+(get(Z)-O[3])^2+((get(psi)+O[4])^2)+(get(theta)-O[5])^2



	if get(V1) > 0.1  then  for i= 1,5 do  set(C[i], ((s-1)*get(C[i])+E[i])/s)  end  set(V1,  get(V1)*t)   E = E1  end
	if get(V2) > 0.1  then  for i= 1,5 do  set(C[i], ((s-1)*get(C[i])+E[i])/s)  end  set(V2,  get(V2)*t)   E = E2  end
	if get(V3) > 0.1  then  for i= 1,5 do  set(C[i], ((s-1)*get(C[i])+E[i])/s)  end  set(V3,  get(V3)*t)   E = E3  end
	if get(V4) > 0.1  then  for i= 1,5 do  set(C[i], ((s-1)*get(C[i])+E[i])/s)  end  set(V4,  get(V4)*t)   E = E4  end
	if get(V5) > 0.1  then  for i= 1,5 do  set(C[i], ((s-1)*get(C[i])+E[i])/s)  end  set(V5,  get(V5)*t)   E = E5  end
	if get(V6) > 0.1  then  for i= 1,5 do  set(C[i], ((s-1)*get(C[i])+E[i])/s)  end  set(V6,  get(V6)*t)   E = E6  end
	if get(V7) > 0.1  then  for i= 1,5 do  set(C[i], ((s-1)*get(C[i])+E[i])/s)  end  set(V7,  get(V7)*t)   E = E7  end
	if get(V8) > 0.1  then  for i= 1,5 do  set(C[i], ((s-1)*get(C[i])+E[i])/s)  end  set(V8,  get(V8)*t)   E = E8  end
	if get(V9) > 0.1  then  for i= 1,5 do  set(C[i], ((s-1)*get(C[i])+E[i])/s)  end  set(V9,  get(V9)*t)   E = E9  end
	if get(V10) > 0.1 then  for i= 1,5 do  set(C[i], ((s-1)*get(C[i])+E[i])/s)  end  set(V10, get(V10)*t)  E = E10 end
		 
	if mastervolknob_old ~= get(mastervolknob) 				then 		set(engine_volume_ratio, get(mastervolknob))
elseif engine_volume_ratio_old ~= get(engine_volume_ratio) 	then 		set(mastervolknob, get(engine_volume_ratio))	end


mastervolknob_old = get(mastervolknob)
engine_volume_ratio_old = get(engine_volume_ratio)				
end






--
--Pilot's default view
-------------------------------------



Camera1 = findCommand("cameras/1")    function Camera1_handler(phase)	if 1 == phase then	for i= 1, 5 do   set(Ck[i], ((s-1)*get(C[i])+E[i])/s)	end		set(V1, get(V1)*t)   E=E1	end  end	registerCommandHandler(Camera1, 0, Camera1_handler)	
Camera2 = findCommand("cameras/2")    function Camera2_handler(phase)	if 1 == phase then	for i= 1, 5 do   set(Ck[i], ((s-1)*get(C[i])+E[i])/s)	end		set(V1, get(V1)*t)   E=E2	end  end	registerCommandHandler(Camera2, 0, Camera2_handler)	
Camera3 = findCommand("cameras/3")    function Camera3_handler(phase)	if 1 == phase then	for i= 1, 5 do   set(Ck[i], ((s-1)*get(C[i])+E[i])/s)	end		set(V1, get(V1)*t)   E=E3	end  end	registerCommandHandler(Camera3, 0, Camera3_handler)	
Camera4 = findCommand("cameras/4")    function Camera4_handler(phase)	if 1 == phase then	for i= 1, 5 do   set(Ck[i], ((s-1)*get(C[i])+E[i])/s)	end		set(V1, get(V1)*t)   E=E4	end  end	registerCommandHandler(Camera4, 0, Camera4_handler)	
Camera5 = findCommand("cameras/5")    function Camera5_handler(phase)	if 1 == phase then	for i= 1, 5 do   set(Ck[i], ((s-1)*get(C[i])+E[i])/s)	end		set(V1, get(V1)*t)   E=E5	end  end	registerCommandHandler(Camera5, 0, Camera5_handler)	
Camera6 = findCommand("cameras/6")    function Camera6_handler(phase)	if 1 == phase then	for i= 1, 5 do   set(Ck[i], ((s-1)*get(C[i])+E[i])/s)	end		set(V1, get(V1)*t)   E=E6	end  end	registerCommandHandler(Camera6, 0, Camera6_handler)	
Camera7 = findCommand("cameras/7")    function Camera7_handler(phase)	if 1 == phase then	for i= 1, 5 do   set(Ck[i], ((s-1)*get(C[i])+E[i])/s)	end		set(V1, get(V1)*t)   E=E7	end  end	registerCommandHandler(Camera7, 0, Camera7_handler)	
Camera8 = findCommand("cameras/8")    function Camera8_handler(phase)	if 1 == phase then	for i= 1, 5 do   set(Ck[i], ((s-1)*get(C[i])+E[i])/s)	end		set(V1, get(V1)*t)   E=E8	end  end	registerCommandHandler(Camera8, 0, Camera8_handler)	
Camera9 = findCommand("cameras/9")    function Camera9_handler(phase)	if 1 == phase then	for i= 1, 5 do   set(Ck[i], ((s-1)*get(C[i])+E[i])/s)	end		set(V1, get(V1)*t)   E=E9	end  end	registerCommandHandler(Camera9, 0, Camera9_handler)	
Camera10 = findCommand("cameras/10")  function Camera10_handler(phase)	if 1 == phase then	for i= 1, 5 do   set(Ck[i], ((s-1)*get(C[i])+E[i])/s)   end	  	set(V1, get(V1)*t)   E=E10	end  end	registerCommandHandler(Camera10, 0, Camera10_handler)	





function draw()

	drawAll(componentsBG)

	drawRectangle(440, 200, 3, 190,        1, 1, 1, 1)
	drawTriangle(460, 220, 460, 380, 470, 380,      1, 1, 1, 1)

	drawAll(components)

end



componentsBG = {  textureLit {position = {0, 0, size[1], size[2]}; image = get(ViewsBG);  };  };

components = {


textureLit {  	position = {453, 192, 15, 30};         image = get(Mute);  	visible = function() if get(sound_on) == 1 then return true else return false end;   end};
textureLit {	position = {453, 192, 15, 30};         image = get(MuteRed);   visible = function() if get(sound_on) == 0 then return true else return false end;   end};
switch     {	position = {453, 192, 20, 40}; 			onMouseDown = function ()   if get(sound_on) == 0 then set(sound_on, 1) else set(sound_on) end     return false     end;    };                                               --Sound Mute




rotated_tape   {position = { 416, 192, 50, 248   };	scrollY = function()	return ((get(mastervolknob)*0.4) -0.4)	end,            image = get(PointerV);	},                                                                   --Volume Pointer
rotary         {position = { 400, 140, 70, 20     }; value = mastervolknob,   step = 0.10, adjuster = function(v)   if v > 1.6 then v = 1.6 end   if v < 0 then v = 0 end       return v    end,   },                             --Volume Click-and-hold
leverV         {position = {400, 200, 60, 190     }; value = {mastervolknob},       minimum = 0,    maximum = 1.6,  },	  	                                                                                                     --Volume Manipulator	   







--PilotView Switch
switch {
        position = { 28, 280, 50, 50 };
        onMouseDown = function ()
	        set(V1, 1)          
			return false
   	 	end;
    };



--CopilotView Switch
switch {
        position = { 28, 224, 50, 50 };
        state = function () return 1 == get(V2); end;
        onMouseDown = function ()
                set(V2, 1)     
                return false
                end;
    };


--COM & NAV View Switch
switch {
        position = { 28, 170, 50, 50 };
        state = function () return 1 == get(V3); end;
        onMouseDown = function ()
                set(V3, 1)     
                return false
                end;
    };
    

switch {
        position = { 28, 116, 50, 50 };
        state = function () return 1 == get(V4); end;
        onMouseDown = function ()
                set(V4, 1)     
                return false
                end;
    };

switch {
        position = { 28, 62, 50, 50 };
        state = function () return 1 == get(V5); end;
        onMouseDown = function ()
                set(V5, 1)     
                return false
                end;
    };


--Engine Controls Switch
switch {
        position = { 190, 282, 50, 50 };
        state = function () return 1 == get(V6); end;
               onMouseDown = function ()
                set(V6, 1)     
                return false
                end;
    };


--Switches View

switch {
        position = { 190, 226, 50, 50 };
        state = function () return 1 == get(V7); end;
              onMouseDown = function ()
                set(V7, 1)     
                return false
                end;
    };

switch {
        position = { 190, 170, 50, 50 };
        state = function () return 1 == get(V8); end;
        onMouseDown = function ()
                set(V8, 1)     
                return false
                end;
    };

switch {
        position = { 190, 114, 50, 50 };
        state = function () return 1 == get(V9); end;
               onMouseDown = function ()
                set(V9, 1)     
                return false
                end;
    };


switch {
        position = { 190, 62, 50, 50 };
        state = function () return 1 == get(V10); end;
               onMouseDown = function ()
                set(V10, 1)     
                return false
                end;
    };

rotated_tape {
	position = { -40, 388, 300, 100 };
	scrollX = function()
	return (-get(FOV)*0.005)+0.16
	end, 
	image = get(Pointer);
	},

digitstape {
		position = { 270, 384, 79, 65 };
		image = digitsImageD;
		digits = 5;
		fractional = 2;		
		showLeadingZeros = false,
		value = function()
			return math.floor(get(FOV));
		end;
	}; 

rotary {
		position = { 290, 400, 70, 60 };
            value = FOV,
            step = 1.0, 
                     adjuster = function(v)
          if v > 150 then v = 150 end
          if v < 15 then v = 15 end
          return v
       end,   
	}, 

    clickable {
       position = { -10, 408, 270, 50 },
       cursor = { 
            x = 8, 
            y = 26, 
            width = 16, 
            height = 16, 
            shape = loadImage("clickable.png")
        },  
      },  	
	
 lever{
       position = {-10, 408, 270, 50 },
       value = {FOV},
       minimum = 15,
       maximum = 150,
   },	
}